!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-20 16:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 307

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1664)
  integer, parameter :: nGC_801 = 1
  integer, parameter :: nGC_800 = 2
  integer, parameter :: nGC_802 = 3
  integer, parameter :: nGC_807 = 4
  integer, parameter :: nGC_806 = 5
  integer, parameter :: nGC_809 = 6
  integer, parameter :: nGC_808 = 7
  integer, parameter :: nGC_939 = 8
  integer, parameter :: nGC_938 = 9
  integer, parameter :: nGC_935 = 10
  integer, parameter :: nGC_934 = 11
  integer, parameter :: nGC_937 = 12
  integer, parameter :: nGC_936 = 13
  integer, parameter :: nGC_931 = 14
  integer, parameter :: nGC_930 = 15
  integer, parameter :: nGC_933 = 16
  integer, parameter :: nGC_932 = 17
  integer, parameter :: nGC_1249 = 18
  integer, parameter :: nGC_1248 = 19
  integer, parameter :: nGC_1243 = 20
  integer, parameter :: nGC_1242 = 21
  integer, parameter :: nGC_1241 = 22
  integer, parameter :: nGC_1240 = 23
  integer, parameter :: nGC_1247 = 24
  integer, parameter :: nGC_1246 = 25
  integer, parameter :: nGC_1245 = 26
  integer, parameter :: nGC_1244 = 27
  integer, parameter :: nGC_349 = 28
  integer, parameter :: nGC_345 = 29
  integer, parameter :: nGC_343 = 30
  integer, parameter :: nGC_341 = 31
  integer, parameter :: nGC_1741 = 32
  integer, parameter :: nGC_1748 = 33
  integer, parameter :: nGC_168 = 34
  integer, parameter :: nGC_169 = 35
  integer, parameter :: nGC_162 = 36
  integer, parameter :: nGC_163 = 37
  integer, parameter :: nGC_160 = 38
  integer, parameter :: nGC_161 = 39
  integer, parameter :: nGC_166 = 40
  integer, parameter :: nGC_167 = 41
  integer, parameter :: nGC_164 = 42
  integer, parameter :: nGC_165 = 43
  integer, parameter :: nGC_1871 = 44
  integer, parameter :: nGC_1873 = 45
  integer, parameter :: nGC_834 = 46
  integer, parameter :: nGC_833 = 47
  integer, parameter :: nGC_908 = 48
  integer, parameter :: nGC_909 = 49
  integer, parameter :: nGC_900 = 50
  integer, parameter :: nGC_903 = 51
  integer, parameter :: nGC_904 = 52
  integer, parameter :: nGC_905 = 53
  integer, parameter :: nGC_906 = 54
  integer, parameter :: nGC_907 = 55
  integer, parameter :: nGC_1258 = 56
  integer, parameter :: nGC_1259 = 57
  integer, parameter :: nGC_1250 = 58
  integer, parameter :: nGC_1251 = 59
  integer, parameter :: nGC_1252 = 60
  integer, parameter :: nGC_1253 = 61
  integer, parameter :: nGC_1254 = 62
  integer, parameter :: nGC_1255 = 63
  integer, parameter :: nGC_1256 = 64
  integer, parameter :: nGC_1257 = 65
  integer, parameter :: nGC_1174 = 66
  integer, parameter :: nGC_1170 = 67
  integer, parameter :: nGC_221 = 68
  integer, parameter :: nGC_220 = 69
  integer, parameter :: nGC_223 = 70
  integer, parameter :: nGC_222 = 71
  integer, parameter :: nGC_225 = 72
  integer, parameter :: nGC_224 = 73
  integer, parameter :: nGC_227 = 74
  integer, parameter :: nGC_226 = 75
  integer, parameter :: nGC_228 = 76
  integer, parameter :: nGC_359 = 77
  integer, parameter :: nGC_355 = 78
  integer, parameter :: nGC_357 = 79
  integer, parameter :: nGC_351 = 80
  integer, parameter :: nGC_353 = 81
  integer, parameter :: nGC_1730 = 82
  integer, parameter :: nGC_1738 = 83
  integer, parameter :: nGC_179 = 84
  integer, parameter :: nGC_178 = 85
  integer, parameter :: nGC_171 = 86
  integer, parameter :: nGC_170 = 87
  integer, parameter :: nGC_173 = 88
  integer, parameter :: nGC_172 = 89
  integer, parameter :: nGC_175 = 90
  integer, parameter :: nGC_174 = 91
  integer, parameter :: nGC_177 = 92
  integer, parameter :: nGC_176 = 93
  integer, parameter :: nGC_1089 = 94
  integer, parameter :: nGC_1088 = 95
  integer, parameter :: nGC_1087 = 96
  integer, parameter :: nGC_1086 = 97
  integer, parameter :: nGC_1080 = 98
  integer, parameter :: nGC_829 = 99
  integer, parameter :: nGC_828 = 100
  integer, parameter :: nGC_823 = 101
  integer, parameter :: nGC_822 = 102
  integer, parameter :: nGC_821 = 103
  integer, parameter :: nGC_820 = 104
  integer, parameter :: nGC_827 = 105
  integer, parameter :: nGC_826 = 106
  integer, parameter :: nGC_825 = 107
  integer, parameter :: nGC_824 = 108
  integer, parameter :: nGC_917 = 109
  integer, parameter :: nGC_912 = 110
  integer, parameter :: nGC_911 = 111
  integer, parameter :: nGC_910 = 112
  integer, parameter :: nGC_1906 = 113
  integer, parameter :: nGC_918 = 114
  integer, parameter :: nGC_1260 = 115
  integer, parameter :: nGC_1067 = 116
  integer, parameter :: nGC_1069 = 117
  integer, parameter :: nGC_1068 = 118
  integer, parameter :: nGC_99 = 119
  integer, parameter :: nGC_98 = 120
  integer, parameter :: nGC_97 = 121
  integer, parameter :: nGC_96 = 122
  integer, parameter :: nGC_95 = 123
  integer, parameter :: nGC_94 = 124
  integer, parameter :: nGC_93 = 125
  integer, parameter :: nGC_92 = 126
  integer, parameter :: nGC_91 = 127
  integer, parameter :: nGC_90 = 128
  integer, parameter :: nGC_75 = 129
  integer, parameter :: nGC_74 = 130
  integer, parameter :: nGC_77 = 131
  integer, parameter :: nGC_76 = 132
  integer, parameter :: nGC_71 = 133
  integer, parameter :: nGC_70 = 134
  integer, parameter :: nGC_73 = 135
  integer, parameter :: nGC_72 = 136
  integer, parameter :: nGC_79 = 137
  integer, parameter :: nGC_78 = 138
  integer, parameter :: nGC_1685 = 139
  integer, parameter :: nGC_218 = 140
  integer, parameter :: nGC_219 = 141
  integer, parameter :: nGC_214 = 142
  integer, parameter :: nGC_215 = 143
  integer, parameter :: nGC_216 = 144
  integer, parameter :: nGC_217 = 145
  integer, parameter :: nGC_210 = 146
  integer, parameter :: nGC_211 = 147
  integer, parameter :: nGC_212 = 148
  integer, parameter :: nGC_213 = 149
  integer, parameter :: nGC_I = 150
  integer, parameter :: nGC_369 = 151
  integer, parameter :: nGC_363 = 152
  integer, parameter :: nGC_144 = 153
  integer, parameter :: nGC_145 = 154
  integer, parameter :: nGC_146 = 155
  integer, parameter :: nGC_147 = 156
  integer, parameter :: nGC_140 = 157
  integer, parameter :: nGC_141 = 158
  integer, parameter :: nGC_142 = 159
  integer, parameter :: nGC_143 = 160
  integer, parameter :: nGC_148 = 161
  integer, parameter :: nGC_149 = 162
  integer, parameter :: nGC_1092 = 163
  integer, parameter :: nGC_1090 = 164
  integer, parameter :: nGC_1091 = 165
  integer, parameter :: nGC_1658 = 166
  integer, parameter :: nGC_1659 = 167
  integer, parameter :: nGC_1652 = 168
  integer, parameter :: nGC_365 = 169
  integer, parameter :: nGC_MI = 170
  integer, parameter :: nGC_MM = 171
  integer, parameter :: nGC_MC = 172
  integer, parameter :: nGC_MB = 173
  integer, parameter :: nGC_ME = 174
  integer, parameter :: nGC_MD = 175
  integer, parameter :: nGC_MZ = 176
  integer, parameter :: nGC_MS = 177
  integer, parameter :: nGC_MW = 178
  integer, parameter :: nGC_MU = 179
  integer, parameter :: nGC_1729 = 180
  integer, parameter :: nGC_960 = 181
  integer, parameter :: nGC_961 = 182
  integer, parameter :: nGC_966 = 183
  integer, parameter :: nGC_967 = 184
  integer, parameter :: nGC_968 = 185
  integer, parameter :: nGC_1074 = 186
  integer, parameter :: nGC_1075 = 187
  integer, parameter :: nGC_1076 = 188
  integer, parameter :: nGC_1077 = 189
  integer, parameter :: nGC_1070 = 190
  integer, parameter :: nGC_1071 = 191
  integer, parameter :: nGC_1072 = 192
  integer, parameter :: nGC_1073 = 193
  integer, parameter :: nGC_1078 = 194
  integer, parameter :: nGC_1079 = 195
  integer, parameter :: nGC_TS_GC_212_Hl = 196
  integer, parameter :: nGC_2071 = 197
  integer, parameter :: nGC_2072 = 198
  integer, parameter :: nGC_2075 = 199
  integer, parameter :: nGC_2076 = 200
  integer, parameter :: nGC_88 = 201
  integer, parameter :: nGC_89 = 202
  integer, parameter :: nGC_80 = 203
  integer, parameter :: nGC_81 = 204
  integer, parameter :: nGC_82 = 205
  integer, parameter :: nGC_83 = 206
  integer, parameter :: nGC_84 = 207
  integer, parameter :: nGC_85 = 208
  integer, parameter :: nGC_86 = 209
  integer, parameter :: nGC_87 = 210
  integer, parameter :: nGC_66 = 211
  integer, parameter :: nGC_67 = 212
  integer, parameter :: nGC_64 = 213
  integer, parameter :: nGC_65 = 214
  integer, parameter :: nGC_62 = 215
  integer, parameter :: nGC_63 = 216
  integer, parameter :: nGC_60 = 217
  integer, parameter :: nGC_61 = 218
  integer, parameter :: nGC_68 = 219
  integer, parameter :: nGC_69 = 220
  integer, parameter :: nGC_2253 = 221
  integer, parameter :: nGC_2254 = 222
  integer, parameter :: nGC_209 = 223
  integer, parameter :: nGC_208 = 224
  integer, parameter :: nGC_203 = 225
  integer, parameter :: nGC_202 = 226
  integer, parameter :: nGC_201 = 227
  integer, parameter :: nGC_200 = 228
  integer, parameter :: nGC_207 = 229
  integer, parameter :: nGC_206 = 230
  integer, parameter :: nGC_205 = 231
  integer, parameter :: nGC_204 = 232
  integer, parameter :: nGC_377 = 233
  integer, parameter :: nGC_375 = 234
  integer, parameter :: nGC_371 = 235
  integer, parameter :: nGC_1719 = 236
  integer, parameter :: nGC_1868 = 237
  integer, parameter :: nGC_1711 = 238
  integer, parameter :: nGC_1713 = 239
  integer, parameter :: nGC_1712 = 240
  integer, parameter :: nGC_153 = 241
  integer, parameter :: nGC_152 = 242
  integer, parameter :: nGC_151 = 243
  integer, parameter :: nGC_150 = 244
  integer, parameter :: nGC_157 = 245
  integer, parameter :: nGC_156 = 246
  integer, parameter :: nGC_155 = 247
  integer, parameter :: nGC_154 = 248
  integer, parameter :: nGC_159 = 249
  integer, parameter :: nGC_158 = 250
  integer, parameter :: nGC_1668 = 251
  integer, parameter :: nGC_TS_GC_208_Hl = 252
  integer, parameter :: nGC_1660 = 253
  integer, parameter :: nGC_799 = 254
  integer, parameter :: nGC_798 = 255
  integer, parameter :: nGC_795 = 256
  integer, parameter :: nGC_794 = 257
  integer, parameter :: nGC_797 = 258
  integer, parameter :: nGC_796 = 259
  integer, parameter :: nGC_791 = 260
  integer, parameter :: nGC_793 = 261
  integer, parameter :: nGC_792 = 262
  integer, parameter :: nGC_973 = 263
  integer, parameter :: nGC_972 = 264
  integer, parameter :: nGC_974 = 265
  integer, parameter :: nGC_979 = 266
  integer, parameter :: nGC_1041 = 267
  integer, parameter :: nGC_1040 = 268
  integer, parameter :: nGC_1043 = 269
  integer, parameter :: nGC_1042 = 270
  integer, parameter :: nGC_1045 = 271
  integer, parameter :: nGC_1044 = 272
  integer, parameter :: nGC_1046 = 273
  integer, parameter :: nGC_53 = 274
  integer, parameter :: nGC_52 = 275
  integer, parameter :: nGC_51 = 276
  integer, parameter :: nGC_50 = 277
  integer, parameter :: nGC_57 = 278
  integer, parameter :: nGC_56 = 279
  integer, parameter :: nGC_55 = 280
  integer, parameter :: nGC_54 = 281
  integer, parameter :: nGC_59 = 282
  integer, parameter :: nGC_58 = 283
  integer, parameter :: nGC_2068 = 284
  integer, parameter :: nGC_2248 = 285
  integer, parameter :: nGC_2247 = 286
  integer, parameter :: nGC_2244 = 287
  integer, parameter :: nGC_2242 = 288
  integer, parameter :: nGC_2243 = 289
  integer, parameter :: nGC_2241 = 290
  integer, parameter :: nGC_MT = 291
  integer, parameter :: nGC_TS_GC_224_Hl = 292
  integer, parameter :: nGC_307 = 293
  integer, parameter :: nGC_309 = 294
  integer, parameter :: nGC_TS_GC_227_Hh = 295
  integer, parameter :: nGC_1870 = 296
  integer, parameter :: nGC_1872 = 297
  integer, parameter :: nGC_TS_GC_215_Hh = 298
  integer, parameter :: nGC_1674 = 299
  integer, parameter :: nGC_1672 = 300
  integer, parameter :: nGC_1678 = 301
  integer, parameter :: nGC_944 = 302
  integer, parameter :: nGC_945 = 303
  integer, parameter :: nGC_940 = 304
  integer, parameter :: nGC_941 = 305
  integer, parameter :: nGC_942 = 306
  integer, parameter :: nGC_943 = 307
  integer, parameter :: nGC_1058 = 308
  integer, parameter :: nGC_1059 = 309
  integer, parameter :: nGC_1056 = 310
  integer, parameter :: nGC_1057 = 311
  integer, parameter :: nGC_1054 = 312
  integer, parameter :: nGC_1055 = 313
  integer, parameter :: nGC_1052 = 314
  integer, parameter :: nGC_1053 = 315
  integer, parameter :: nGC_1051 = 316
  integer, parameter :: nGC_898 = 317
  integer, parameter :: nGC_899 = 318
  integer, parameter :: nGC_890 = 319
  integer, parameter :: nGC_891 = 320
  integer, parameter :: nGC_896 = 321
  integer, parameter :: nGC_897 = 322
  integer, parameter :: nGC_894 = 323
  integer, parameter :: nGC_895 = 324
  integer, parameter :: nGC_48 = 325
  integer, parameter :: nGC_49 = 326
  integer, parameter :: nGC_44 = 327
  integer, parameter :: nGC_45 = 328
  integer, parameter :: nGC_46 = 329
  integer, parameter :: nGC_47 = 330
  integer, parameter :: nGC_40 = 331
  integer, parameter :: nGC_41 = 332
  integer, parameter :: nGC_42 = 333
  integer, parameter :: nGC_43 = 334
  integer, parameter :: nGC_2013 = 335
  integer, parameter :: nGC_2010 = 336
  integer, parameter :: nGC_2014 = 337
  integer, parameter :: nGC_2239 = 338
  integer, parameter :: nGC_2232 = 339
  integer, parameter :: nGC_2231 = 340
  integer, parameter :: nGC_2230 = 341
  integer, parameter :: nGC_2236 = 342
  integer, parameter :: nGC_2235 = 343
  integer, parameter :: nGC_TS_GC_203_Hh = 344
  integer, parameter :: nGC_1865 = 345
  integer, parameter :: nGC_TS_GC_204_Hl = 346
  integer, parameter :: nGC_311 = 347
  integer, parameter :: nGC_313 = 348
  integer, parameter :: nGC_315 = 349
  integer, parameter :: nGC_317 = 350
  integer, parameter :: nGC_539 = 351
  integer, parameter :: nGC_1861 = 352
  integer, parameter :: nGC_625 = 353
  integer, parameter :: nGC_627 = 354
  integer, parameter :: nGC_623 = 355
  integer, parameter :: nGC_1955 = 356
  integer, parameter :: nGC_1117 = 357
  integer, parameter :: nGC_1116 = 358
  integer, parameter :: nGC_1115 = 359
  integer, parameter :: nGC_1114 = 360
  integer, parameter :: nGC_1113 = 361
  integer, parameter :: nGC_1112 = 362
  integer, parameter :: nGC_1111 = 363
  integer, parameter :: nGC_1110 = 364
  integer, parameter :: nGC_959 = 365
  integer, parameter :: nGC_958 = 366
  integer, parameter :: nGC_957 = 367
  integer, parameter :: nGC_956 = 368
  integer, parameter :: nGC_955 = 369
  integer, parameter :: nGC_954 = 370
  integer, parameter :: nGC_1028 = 371
  integer, parameter :: nGC_1023 = 372
  integer, parameter :: nGC_1022 = 373
  integer, parameter :: nGC_1021 = 374
  integer, parameter :: nGC_1027 = 375
  integer, parameter :: nGC_1026 = 376
  integer, parameter :: nGC_1025 = 377
  integer, parameter :: nGC_1024 = 378
  integer, parameter :: nGC_889 = 379
  integer, parameter :: nGC_888 = 380
  integer, parameter :: nGC_881 = 381
  integer, parameter :: nGC_883 = 382
  integer, parameter :: nGC_882 = 383
  integer, parameter :: nGC_885 = 384
  integer, parameter :: nGC_884 = 385
  integer, parameter :: nGC_886 = 386
  integer, parameter :: nGC_2137 = 387
  integer, parameter :: nGC_39 = 388
  integer, parameter :: nGC_38 = 389
  integer, parameter :: nGC_31 = 390
  integer, parameter :: nGC_30 = 391
  integer, parameter :: nGC_33 = 392
  integer, parameter :: nGC_32 = 393
  integer, parameter :: nGC_35 = 394
  integer, parameter :: nGC_34 = 395
  integer, parameter :: nGC_37 = 396
  integer, parameter :: nGC_36 = 397
  integer, parameter :: nGC_2229 = 398
  integer, parameter :: nGC_2220 = 399
  integer, parameter :: nGC_2224 = 400
  integer, parameter :: nGC_2225 = 401
  integer, parameter :: nGC_2226 = 402
  integer, parameter :: nGC_329 = 403
  integer, parameter :: nGC_325 = 404
  integer, parameter :: nGC_327 = 405
  integer, parameter :: nGC_321 = 406
  integer, parameter :: nGC_323 = 407
  integer, parameter :: nGC_1001 = 408
  integer, parameter :: nGC_1003 = 409
  integer, parameter :: nGC_MTA = 410
  integer, parameter :: nGC_188 = 411
  integer, parameter :: nGC_189 = 412
  integer, parameter :: nGC_180 = 413
  integer, parameter :: nGC_181 = 414
  integer, parameter :: nGC_182 = 415
  integer, parameter :: nGC_183 = 416
  integer, parameter :: nGC_184 = 417
  integer, parameter :: nGC_185 = 418
  integer, parameter :: nGC_186 = 419
  integer, parameter :: nGC_187 = 420
  integer, parameter :: nGC_TS_GC_92_Hl = 421
  integer, parameter :: nGC_TS_GC_92_Hh = 422
  integer, parameter :: nGC_1857 = 423
  integer, parameter :: nGC_1854 = 424
  integer, parameter :: nGC_1855 = 425
  integer, parameter :: nGC_509 = 426
  integer, parameter :: nGC_1858 = 427
  integer, parameter :: nGC_1859 = 428
  integer, parameter :: nGC_1926 = 429
  integer, parameter :: nGC_1108 = 430
  integer, parameter :: nGC_1109 = 431
  integer, parameter :: nGC_1102 = 432
  integer, parameter :: nGC_1103 = 433
  integer, parameter :: nGC_TS_GC_184_Hh = 434
  integer, parameter :: nGC_1038 = 435
  integer, parameter :: nGC_1039 = 436
  integer, parameter :: nGC_1032 = 437
  integer, parameter :: nGC_1033 = 438
  integer, parameter :: nGC_1034 = 439
  integer, parameter :: nGC_1035 = 440
  integer, parameter :: nGC_1036 = 441
  integer, parameter :: nGC_1037 = 442
  integer, parameter :: nGC_2102 = 443
  integer, parameter :: nGC_28 = 444
  integer, parameter :: nGC_29 = 445
  integer, parameter :: nGC_22 = 446
  integer, parameter :: nGC_23 = 447
  integer, parameter :: nGC_20 = 448
  integer, parameter :: nGC_21 = 449
  integer, parameter :: nGC_26 = 450
  integer, parameter :: nGC_27 = 451
  integer, parameter :: nGC_24 = 452
  integer, parameter :: nGC_25 = 453
  integer, parameter :: nGC_980 = 454
  integer, parameter :: nGC_981 = 455
  integer, parameter :: nGC_982 = 456
  integer, parameter :: nGC_983 = 457
  integer, parameter :: nGC_984 = 458
  integer, parameter :: nGC_2216 = 459
  integer, parameter :: nGC_2211 = 460
  integer, parameter :: nGC_2213 = 461
  integer, parameter :: nGC_2219 = 462
  integer, parameter :: nGC_MHL = 463
  integer, parameter :: nGC_MHH = 464
  integer, parameter :: nGC_TS_GC_164_Hl = 465
  integer, parameter :: nGC_339 = 466
  integer, parameter :: nGC_TS_GC_32_Hh = 467
  integer, parameter :: nGC_331 = 468
  integer, parameter :: nGC_337 = 469
  integer, parameter :: nGC_335 = 470
  integer, parameter :: nGC_197 = 471
  integer, parameter :: nGC_196 = 472
  integer, parameter :: nGC_195 = 473
  integer, parameter :: nGC_194 = 474
  integer, parameter :: nGC_193 = 475
  integer, parameter :: nGC_192 = 476
  integer, parameter :: nGC_191 = 477
  integer, parameter :: nGC_190 = 478
  integer, parameter :: nGC_199 = 479
  integer, parameter :: nGC_198 = 480
  integer, parameter :: nGC_609 = 481
  integer, parameter :: nGC_513 = 482
  integer, parameter :: nGC_517 = 483
  integer, parameter :: nGC_106 = 484
  integer, parameter :: nGC_1139 = 485
  integer, parameter :: nGC_1138 = 486
  integer, parameter :: nGC_1131 = 487
  integer, parameter :: nGC_1130 = 488
  integer, parameter :: nGC_1133 = 489
  integer, parameter :: nGC_1132 = 490
  integer, parameter :: nGC_1134 = 491
  integer, parameter :: nGC_1005 = 492
  integer, parameter :: nGC_1004 = 493
  integer, parameter :: nGC_1007 = 494
  integer, parameter :: nGC_1006 = 495
  integer, parameter :: nGC_1000 = 496
  integer, parameter :: nGC_1002 = 497
  integer, parameter :: nGC_1009 = 498
  integer, parameter :: nGC_1008 = 499
  integer, parameter :: nGC_17 = 500
  integer, parameter :: nGC_16 = 501
  integer, parameter :: nGC_15 = 502
  integer, parameter :: nGC_14 = 503
  integer, parameter :: nGC_13 = 504
  integer, parameter :: nGC_12 = 505
  integer, parameter :: nGC_11 = 506
  integer, parameter :: nGC_10 = 507
  integer, parameter :: nGC_19 = 508
  integer, parameter :: nGC_18 = 509
  integer, parameter :: nGC_999 = 510
  integer, parameter :: nGC_998 = 511
  integer, parameter :: nGC_995 = 512
  integer, parameter :: nGC_994 = 513
  integer, parameter :: nGC_993 = 514
  integer, parameter :: nGC_2027 = 515
  integer, parameter :: nGC_2025 = 516
  integer, parameter :: nGC_2202 = 517
  integer, parameter :: nGC_2203 = 518
  integer, parameter :: nGC_2206 = 519
  integer, parameter :: nGC_2207 = 520
  integer, parameter :: nGC_2209 = 521
  integer, parameter :: nGC_527 = 522
  integer, parameter :: nGC_1638 = 523
  integer, parameter :: nGC_1639 = 524
  integer, parameter :: nGC_1632 = 525
  integer, parameter :: nGC_1633 = 526
  integer, parameter :: nGC_1630 = 527
  integer, parameter :: nGC_1631 = 528
  integer, parameter :: nGC_1636 = 529
  integer, parameter :: nGC_1634 = 530
  integer, parameter :: nGC_1434 = 531
  integer, parameter :: nGC_1431 = 532
  integer, parameter :: nGC_1949 = 533
  integer, parameter :: nGC_1124 = 534
  integer, parameter :: nGC_1125 = 535
  integer, parameter :: nGC_1122 = 536
  integer, parameter :: nGC_1123 = 537
  integer, parameter :: nGC_1941 = 538
  integer, parameter :: nGC_1947 = 539
  integer, parameter :: nGC_1869 = 540
  integer, parameter :: nGC_1867 = 541
  integer, parameter :: nGC_1866 = 542
  integer, parameter :: nGC_555 = 543
  integer, parameter :: nGC_1864 = 544
  integer, parameter :: nGC_1863 = 545
  integer, parameter :: nGC_1862 = 546
  integer, parameter :: nGC_1860 = 547
  integer, parameter :: nGC_TS_GC_199_Hh = 548
  integer, parameter :: nGC_859 = 549
  integer, parameter :: nGC_856 = 550
  integer, parameter :: nGC_854 = 551
  integer, parameter :: nGC_855 = 552
  integer, parameter :: nGC_852 = 553
  integer, parameter :: nGC_853 = 554
  integer, parameter :: nGC_851 = 555
  integer, parameter :: nGC_1308 = 556
  integer, parameter :: nGC_1306 = 557
  integer, parameter :: nGC_1302 = 558
  integer, parameter :: nGC_1210 = 559
  integer, parameter :: nGC_TS_GC_33_Hl = 560
  integer, parameter :: nGC_TS_GC_33_Hh = 561
  integer, parameter :: nGC_2163 = 562
  integer, parameter :: nGC_2165 = 563
  integer, parameter :: nGC_2164 = 564
  integer, parameter :: nGC_557 = 565
  integer, parameter :: nGC_553 = 566
  integer, parameter :: nGC_TS_GC_175_Hh = 567
  integer, parameter :: nGC_TS_GC_190_Hl = 568
  integer, parameter :: nGC_887 = 569
  integer, parameter :: nGC_1701 = 570
  integer, parameter :: nGC_1153 = 571
  integer, parameter :: nGC_1154 = 572
  integer, parameter :: nGC_1791 = 573
  integer, parameter :: nGC_1790 = 574
  integer, parameter :: nGC_1792 = 575
  integer, parameter :: nGC_1577 = 576
  integer, parameter :: nGC_1576 = 577
  integer, parameter :: nGC_MW_GF = 578
  integer, parameter :: nGC_845 = 579
  integer, parameter :: nGC_844 = 580
  integer, parameter :: nGC_846 = 581
  integer, parameter :: nGC_841 = 582
  integer, parameter :: nGC_843 = 583
  integer, parameter :: nGC_842 = 584
  integer, parameter :: nGC_1444 = 585
  integer, parameter :: nGC_543 = 586
  integer, parameter :: nGC_1440 = 587
  integer, parameter :: nGC_1207 = 588
  integer, parameter :: nGC_1206 = 589
  integer, parameter :: nGC_1205 = 590
  integer, parameter :: nGC_1204 = 591
  integer, parameter :: nGC_1203 = 592
  integer, parameter :: nGC_1202 = 593
  integer, parameter :: nGC_1209 = 594
  integer, parameter :: nGC_1208 = 595
  integer, parameter :: nGC_2171 = 596
  integer, parameter :: nGC_2172 = 597
  integer, parameter :: nGC_2174 = 598
  integer, parameter :: nGC_MMW_GF = 599
  integer, parameter :: nGC_547 = 600
  integer, parameter :: nGC_383 = 601
  integer, parameter :: nGC_381 = 602
  integer, parameter :: nGC_387 = 603
  integer, parameter :: nGC_MZ_GF = 604
  integer, parameter :: nGC_TS_GC_216_Hl = 605
  integer, parameter :: nGC_1140 = 606
  integer, parameter :: nGC_1141 = 607
  integer, parameter :: nGC_1142 = 608
  integer, parameter :: nGC_1146 = 609
  integer, parameter :: nGC_1147 = 610
  integer, parameter :: nGC_1148 = 611
  integer, parameter :: nGC_1149 = 612
  integer, parameter :: nGC_1782 = 613
  integer, parameter :: nGC_1783 = 614
  integer, parameter :: nGC_1786 = 615
  integer, parameter :: nGC_1787 = 616
  integer, parameter :: nGC_1785 = 617
  integer, parameter :: nGC_1788 = 618
  integer, parameter :: nGC_1789 = 619
  integer, parameter :: nGC_126 = 620
  integer, parameter :: nGC_127 = 621
  integer, parameter :: nGC_124 = 622
  integer, parameter :: nGC_125 = 623
  integer, parameter :: nGC_122 = 624
  integer, parameter :: nGC_123 = 625
  integer, parameter :: nGC_120 = 626
  integer, parameter :: nGC_121 = 627
  integer, parameter :: nGC_128 = 628
  integer, parameter :: nGC_129 = 629
  integer, parameter :: nGC_1564 = 630
  integer, parameter :: nGC_1962 = 631
  integer, parameter :: nGC_1963 = 632
  integer, parameter :: nGC_1960 = 633
  integer, parameter :: nGC_1961 = 634
  integer, parameter :: nGC_1966 = 635
  integer, parameter :: nGC_1968 = 636
  integer, parameter :: nGC_577 = 637
  integer, parameter :: nGC_870 = 638
  integer, parameter :: nGC_871 = 639
  integer, parameter :: nGC_872 = 640
  integer, parameter :: nGC_873 = 641
  integer, parameter :: nGC_874 = 642
  integer, parameter :: nGC_875 = 643
  integer, parameter :: nGC_876 = 644
  integer, parameter :: nGC_877 = 645
  integer, parameter :: nGC_1361 = 646
  integer, parameter :: nGC_1362 = 647
  integer, parameter :: nGC_1363 = 648
  integer, parameter :: nGC_1364 = 649
  integer, parameter :: nGC_1366 = 650
  integer, parameter :: nGC_1367 = 651
  integer, parameter :: nGC_TS_GC_162_Hh = 652
  integer, parameter :: nGC_3 = 653
  integer, parameter :: nGC_2 = 654
  integer, parameter :: nGC_1216 = 655
  integer, parameter :: nGC_1217 = 656
  integer, parameter :: nGC_7 = 657
  integer, parameter :: nGC_1211 = 658
  integer, parameter :: nGC_1212 = 659
  integer, parameter :: nGC_4 = 660
  integer, parameter :: nGC_9 = 661
  integer, parameter :: nGC_8 = 662
  integer, parameter :: nGC_1218 = 663
  integer, parameter :: nGC_1219 = 664
  integer, parameter :: nGC_2099 = 665
  integer, parameter :: nGC_2098 = 666
  integer, parameter :: nGC_TS_GC_34_Hl = 667
  integer, parameter :: nGC_2092 = 668
  integer, parameter :: nGC_2097 = 669
  integer, parameter :: nGC_2096 = 670
  integer, parameter :: nGC_2094 = 671
  integer, parameter :: nGC_2149 = 672
  integer, parameter :: nGC_2145 = 673
  integer, parameter :: nGC_2147 = 674
  integer, parameter :: nGC_2146 = 675
  integer, parameter :: nGC_2143 = 676
  integer, parameter :: nGC_2142 = 677
  integer, parameter :: nGC_1721 = 678
  integer, parameter :: nGC_TS_GC_36_Hh = 679
  integer, parameter :: nGC_TS_GC_36_Hl = 680
  integer, parameter :: nGC_TS_GC_219_Hh = 681
  integer, parameter :: nGC_1433 = 682
  integer, parameter :: nGC_1725 = 683
  integer, parameter :: nGC_TS_GC_120_Hl = 684
  integer, parameter :: nGC_1126 = 685
  integer, parameter :: nGC_1127 = 686
  integer, parameter :: nGC_TS_GC_192_Hh = 687
  integer, parameter :: nGC_1214 = 688
  integer, parameter :: nGC_1215 = 689
  integer, parameter :: nGC_1175 = 690
  integer, parameter :: nGC_1081 = 691
  integer, parameter :: nGC_1177 = 692
  integer, parameter :: nGC_1176 = 693
  integer, parameter :: nGC_1171 = 694
  integer, parameter :: nGC_1 = 695
  integer, parameter :: nGC_1173 = 696
  integer, parameter :: nGC_1172 = 697
  integer, parameter :: nGC_TS_GC_192_Hl = 698
  integer, parameter :: nGC_1778 = 699
  integer, parameter :: nGC_1777 = 700
  integer, parameter :: nGC_1776 = 701
  integer, parameter :: nGC_1775 = 702
  integer, parameter :: nGC_1774 = 703
  integer, parameter :: nGC_1773 = 704
  integer, parameter :: nGC_1772 = 705
  integer, parameter :: nGC_1771 = 706
  integer, parameter :: nGC_6 = 707
  integer, parameter :: nGC_5 = 708
  integer, parameter :: nGC_1213 = 709
  integer, parameter :: nGC_135 = 710
  integer, parameter :: nGC_134 = 711
  integer, parameter :: nGC_137 = 712
  integer, parameter :: nGC_136 = 713
  integer, parameter :: nGC_131 = 714
  integer, parameter :: nGC_130 = 715
  integer, parameter :: nGC_133 = 716
  integer, parameter :: nGC_132 = 717
  integer, parameter :: nGC_139 = 718
  integer, parameter :: nGC_138 = 719
  integer, parameter :: nGC_1519 = 720
  integer, parameter :: nGC_1518 = 721
  integer, parameter :: nGC_1689 = 722
  integer, parameter :: nGC_1688 = 723
  integer, parameter :: nGC_1683 = 724
  integer, parameter :: nGC_1682 = 725
  integer, parameter :: nGC_1681 = 726
  integer, parameter :: nGC_1680 = 727
  integer, parameter :: nGC_1687 = 728
  integer, parameter :: nGC_1686 = 729
  integer, parameter :: nGC_1684 = 730
  integer, parameter :: nGC_1999 = 731
  integer, parameter :: nGC_1998 = 732
  integer, parameter :: nGC_1997 = 733
  integer, parameter :: nGC_1996 = 734
  integer, parameter :: nGC_1995 = 735
  integer, parameter :: nGC_1991 = 736
  integer, parameter :: nGC_867 = 737
  integer, parameter :: nGC_866 = 738
  integer, parameter :: nGC_865 = 739
  integer, parameter :: nGC_864 = 740
  integer, parameter :: nGC_863 = 741
  integer, parameter :: nGC_862 = 742
  integer, parameter :: nGC_861 = 743
  integer, parameter :: nGC_860 = 744
  integer, parameter :: nGC_869 = 745
  integer, parameter :: nGC_868 = 746
  integer, parameter :: nGC_1355 = 747
  integer, parameter :: nGC_1354 = 748
  integer, parameter :: nGC_1357 = 749
  integer, parameter :: nGC_1424 = 750
  integer, parameter :: nGC_1351 = 751
  integer, parameter :: nGC_1422 = 752
  integer, parameter :: nGC_1421 = 753
  integer, parameter :: nGC_1359 = 754
  integer, parameter :: nGC_1429 = 755
  integer, parameter :: nGC_1428 = 756
  integer, parameter :: nGC_1196 = 757
  integer, parameter :: nGC_1195 = 758
  integer, parameter :: nGC_1194 = 759
  integer, parameter :: nGC_1193 = 760
  integer, parameter :: nGC_1192 = 761
  integer, parameter :: nGC_1221 = 762
  integer, parameter :: nGC_1220 = 763
  integer, parameter :: nGC_1223 = 764
  integer, parameter :: nGC_1222 = 765
  integer, parameter :: nGC_1225 = 766
  integer, parameter :: nGC_1224 = 767
  integer, parameter :: nGC_1227 = 768
  integer, parameter :: nGC_1226 = 769
  integer, parameter :: nGC_2088 = 770
  integer, parameter :: nGC_2081 = 771
  integer, parameter :: nGC_2082 = 772
  integer, parameter :: nGC_2083 = 773
  integer, parameter :: nGC_2084 = 774
  integer, parameter :: nGC_2085 = 775
  integer, parameter :: nGC_2086 = 776
  integer, parameter :: nGC_TS_GC_200_Hl = 777
  integer, parameter :: nGC_2152 = 778
  integer, parameter :: nGC_2150 = 779
  integer, parameter :: nGC_2151 = 780
  integer, parameter :: nGC_2156 = 781
  integer, parameter :: nGC_2157 = 782
  integer, parameter :: nGC_2154 = 783
  integer, parameter :: nGC_2155 = 784
  integer, parameter :: nGC_TS_GC_189_Hh = 785
  integer, parameter :: nGC_TS_GC_189_Hl = 786
  integer, parameter :: nGC_1733 = 787
  integer, parameter :: nGC_TS_GC_15_Hh = 788
  integer, parameter :: nGC_1731 = 789
  integer, parameter :: nGC_TS_GC_145_Hh = 790
  integer, parameter :: nGC_1010 = 791
  integer, parameter :: nGC_1016 = 792
  integer, parameter :: nGC_1017 = 793
  integer, parameter :: nGC_1015 = 794
  integer, parameter :: nGC_1391 = 795
  integer, parameter :: nGC_1390 = 796
  integer, parameter :: nGC_TS_GC_223_Hh = 797
  integer, parameter :: nGC_1737 = 798
  integer, parameter :: nGC_1460 = 799
  integer, parameter :: nGC_1395 = 800
  integer, parameter :: nGC_1464 = 801
  integer, parameter :: nGC_TS_GC_96_Hl = 802
  integer, parameter :: nGC_1734 = 803
  integer, parameter :: nGC_1905 = 804
  integer, parameter :: nGC_1168 = 805
  integer, parameter :: nGC_1169 = 806
  integer, parameter :: nGC_1167 = 807
  integer, parameter :: nGC_1768 = 808
  integer, parameter :: nGC_1769 = 809
  integer, parameter :: nGC_1764 = 810
  integer, parameter :: nGC_1765 = 811
  integer, parameter :: nGC_1766 = 812
  integer, parameter :: nGC_1767 = 813
  integer, parameter :: nGC_1760 = 814
  integer, parameter :: nGC_1761 = 815
  integer, parameter :: nGC_1762 = 816
  integer, parameter :: nGC_1763 = 817
  integer, parameter :: nGC_TS_GC_191_Hh = 818
  integer, parameter :: nGC_100 = 819
  integer, parameter :: nGC_101 = 820
  integer, parameter :: nGC_102 = 821
  integer, parameter :: nGC_103 = 822
  integer, parameter :: nGC_104 = 823
  integer, parameter :: nGC_105 = 824
  integer, parameter :: nGC_107 = 825
  integer, parameter :: nGC_108 = 826
  integer, parameter :: nGC_109 = 827
  integer, parameter :: nGC_569 = 828
  integer, parameter :: nGC_1501 = 829
  integer, parameter :: nGC_1698 = 830
  integer, parameter :: nGC_1699 = 831
  integer, parameter :: nGC_1690 = 832
  integer, parameter :: nGC_1691 = 833
  integer, parameter :: nGC_1692 = 834
  integer, parameter :: nGC_1695 = 835
  integer, parameter :: nGC_1696 = 836
  integer, parameter :: nGC_1697 = 837
  integer, parameter :: nGC_1988 = 838
  integer, parameter :: nGC_1989 = 839
  integer, parameter :: nGC_1986 = 840
  integer, parameter :: nGC_1982 = 841
  integer, parameter :: nGC_812 = 842
  integer, parameter :: nGC_813 = 843
  integer, parameter :: nGC_810 = 844
  integer, parameter :: nGC_811 = 845
  integer, parameter :: nGC_916 = 846
  integer, parameter :: nGC_1435 = 847
  integer, parameter :: nGC_1436 = 848
  integer, parameter :: nGC_1347 = 849
  integer, parameter :: nGC_1344 = 850
  integer, parameter :: nGC_1345 = 851
  integer, parameter :: nGC_1348 = 852
  integer, parameter :: nGC_1438 = 853
  integer, parameter :: nGC_1439 = 854
  integer, parameter :: nGC_1184 = 855
  integer, parameter :: nGC_1185 = 856
  integer, parameter :: nGC_1186 = 857
  integer, parameter :: nGC_1187 = 858
  integer, parameter :: nGC_1183 = 859
  integer, parameter :: nGC_1188 = 860
  integer, parameter :: nGC_1128 = 861
  integer, parameter :: nGC_928 = 862
  integer, parameter :: nGC_929 = 863
  integer, parameter :: nGC_926 = 864
  integer, parameter :: nGC_927 = 865
  integer, parameter :: nGC_TS_GC_228_Hl = 866
  integer, parameter :: nGC_925 = 867
  integer, parameter :: nGC_1239 = 868
  integer, parameter :: nGC_1234 = 869
  integer, parameter :: nGC_1235 = 870
  integer, parameter :: nGC_1129 = 871
  integer, parameter :: nGC_1266 = 872
  integer, parameter :: nGC_611 = 873
  integer, parameter :: nGC_613 = 874
  integer, parameter :: nGC_615 = 875
  integer, parameter :: nGC_617 = 876
  integer, parameter :: nGC_TS_GC_30_Hl = 877
  integer, parameter :: nGC_619 = 878
  integer, parameter :: nGC_2181 = 879
  integer, parameter :: nGC_2182 = 880
  integer, parameter :: nGC_2184 = 881
  integer, parameter :: nGC_2186 = 882
  integer, parameter :: nGC_2189 = 883
  integer, parameter :: nGC_TS_GC_35_Hh = 884
  integer, parameter :: nGC_TS_GC_177_Hl = 885
  integer, parameter :: nGC_1759 = 886
  integer, parameter :: nGC_1758 = 887
  integer, parameter :: nGC_1751 = 888
  integer, parameter :: nGC_1750 = 889
  integer, parameter :: nGC_1753 = 890
  integer, parameter :: nGC_1752 = 891
  integer, parameter :: nGC_1755 = 892
  integer, parameter :: nGC_1754 = 893
  integer, parameter :: nGC_1757 = 894
  integer, parameter :: nGC_1756 = 895
  integer, parameter :: nGC_119 = 896
  integer, parameter :: nGC_118 = 897
  integer, parameter :: nGC_117 = 898
  integer, parameter :: nGC_116 = 899
  integer, parameter :: nGC_115 = 900
  integer, parameter :: nGC_114 = 901
  integer, parameter :: nGC_113 = 902
  integer, parameter :: nGC_112 = 903
  integer, parameter :: nGC_111 = 904
  integer, parameter :: nGC_110 = 905
  integer, parameter :: nGC_1533 = 906
  integer, parameter :: nGC_1532 = 907
  integer, parameter :: nGC_1924 = 908
  integer, parameter :: nGC_1921 = 909
  integer, parameter :: nGC_2256 = 910
  integer, parameter :: nGC_TS_GC_211_Hh = 911
  integer, parameter :: nGC_TS_GC_29_Hl = 912
  integer, parameter :: nGC_1929 = 913
  integer, parameter :: nGC_TS_GC_29_Hh = 914
  integer, parameter :: nGC_1583 = 915
  integer, parameter :: nGC_1586 = 916
  integer, parameter :: nGC_1587 = 917
  integer, parameter :: nGC_1589 = 918
  integer, parameter :: nGC_2005 = 919
  integer, parameter :: nGC_1922 = 920
  integer, parameter :: nGC_1403 = 921
  integer, parameter :: nGC_1402 = 922
  integer, parameter :: nGC_1404 = 923
  integer, parameter :: nGC_1409 = 924
  integer, parameter :: nGC_1408 = 925
  integer, parameter :: nGC_TS_GC_130_Hh = 926
  integer, parameter :: nGC_TS_GC_207_Hh = 927
  integer, parameter :: nGC_1325 = 928
  integer, parameter :: nGC_1322 = 929
  integer, parameter :: nGC_1328 = 930
  integer, parameter :: nGC_1329 = 931
  integer, parameter :: nGC_TS_GC_82_Hh = 932
  integer, parameter :: nGC_2109 = 933
  integer, parameter :: nGC_2108 = 934
  integer, parameter :: nGC_1718 = 935
  integer, parameter :: nGC_559 = 936
  integer, parameter :: nGC_1715 = 937
  integer, parameter :: nGC_1714 = 938
  integer, parameter :: nGC_1717 = 939
  integer, parameter :: nGC_1716 = 940
  integer, parameter :: nGC_2105 = 941
  integer, parameter :: nGC_1710 = 942
  integer, parameter :: nGC_2107 = 943
  integer, parameter :: nGC_2039 = 944
  integer, parameter :: nGC_2035 = 945
  integer, parameter :: nGC_2034 = 946
  integer, parameter :: nGC_2037 = 947
  integer, parameter :: nGC_2036 = 948
  integer, parameter :: nGC_2031 = 949
  integer, parameter :: nGC_2030 = 950
  integer, parameter :: nGC_2033 = 951
  integer, parameter :: nGC_2214 = 952
  integer, parameter :: nGC_2217 = 953
  integer, parameter :: nGC_2210 = 954
  integer, parameter :: nGC_2212 = 955
  integer, parameter :: nGC_1669 = 956
  integer, parameter :: nGC_1780 = 957
  integer, parameter :: nGC_1781 = 958
  integer, parameter :: nGC_1661 = 959
  integer, parameter :: nGC_2194 = 960
  integer, parameter :: nGC_2195 = 961
  integer, parameter :: nGC_1665 = 962
  integer, parameter :: nGC_2193 = 963
  integer, parameter :: nGC_1667 = 964
  integer, parameter :: nGC_2191 = 965
  integer, parameter :: nGC_1881 = 966
  integer, parameter :: nGC_1471 = 967
  integer, parameter :: nGC_TS_GC_118_Hl = 968
  integer, parameter :: nGC_2227 = 969
  integer, parameter :: nGC_1913 = 970
  integer, parameter :: nGC_1912 = 971
  integer, parameter :: nGC_1911 = 972
  integer, parameter :: nGC_1910 = 973
  integer, parameter :: nGC_1448 = 974
  integer, parameter :: nGC_1508 = 975
  integer, parameter :: nGC_1569 = 976
  integer, parameter :: nGC_1305 = 977
  integer, parameter :: nGC_1562 = 978
  integer, parameter :: nGC_1563 = 979
  integer, parameter :: nGC_1560 = 980
  integer, parameter :: nGC_TS_GC_147_Hl = 981
  integer, parameter :: nGC_TS_GC_147_Hh = 982
  integer, parameter :: nGC_1964 = 983
  integer, parameter :: nGC_1969 = 984
  integer, parameter :: nGC_1732 = 985
  integer, parameter :: nGC_1289 = 986
  integer, parameter :: nGC_1288 = 987
  integer, parameter :: nGC_1287 = 988
  integer, parameter :: nGC_1286 = 989
  integer, parameter :: nGC_1285 = 990
  integer, parameter :: nGC_1284 = 991
  integer, parameter :: nGC_1283 = 992
  integer, parameter :: nGC_1369 = 993
  integer, parameter :: nGC_TS_GC_32_Hl = 994
  integer, parameter :: nGC_2129 = 995
  integer, parameter :: nGC_1360 = 996
  integer, parameter :: nGC_2128 = 997
  integer, parameter :: nGC_TS_GC_220_Hl = 998
  integer, parameter :: nGC_2125 = 999
  integer, parameter :: nGC_2123 = 1000
  integer, parameter :: nGC_2122 = 1001
  integer, parameter :: nGC_1635 = 1002
  integer, parameter :: nGC_589 = 1003
  integer, parameter :: nGC_585 = 1004
  integer, parameter :: nGC_587 = 1005
  integer, parameter :: nGC_581 = 1006
  integer, parameter :: nGC_583 = 1007
  integer, parameter :: nGC_TS_GC_117_Hl = 1008
  integer, parameter :: nGC_1746 = 1009
  integer, parameter :: nGC_567 = 1010
  integer, parameter :: nGC_1744 = 1011
  integer, parameter :: nGC_1745 = 1012
  integer, parameter :: nGC_1742 = 1013
  integer, parameter :: nGC_1743 = 1014
  integer, parameter :: nGC_1740 = 1015
  integer, parameter :: nGC_561 = 1016
  integer, parameter :: nGC_607 = 1017
  integer, parameter :: nGC_1624 = 1018
  integer, parameter :: nGC_605 = 1019
  integer, parameter :: nGC_1626 = 1020
  integer, parameter :: nGC_603 = 1021
  integer, parameter :: nGC_1620 = 1022
  integer, parameter :: nGC_1623 = 1023
  integer, parameter :: nGC_1749 = 1024
  integer, parameter :: nGC_1889 = 1025
  integer, parameter :: nGC_1619 = 1026
  integer, parameter :: nGC_1709 = 1027
  integer, parameter :: nGC_1957 = 1028
  integer, parameter :: nGC_1489 = 1029
  integer, parameter :: nGC_2095 = 1030
  integer, parameter :: nGC_2066 = 1031
  integer, parameter :: nGC_1702 = 1032
  integer, parameter :: nGC_2060 = 1033
  integer, parameter :: nGC_1875 = 1034
  integer, parameter :: nGC_2055 = 1035
  integer, parameter :: nGC_1522 = 1036
  integer, parameter :: nGC_1523 = 1037
  integer, parameter :: nGC_1520 = 1038
  integer, parameter :: nGC_1521 = 1039
  integer, parameter :: nGC_1526 = 1040
  integer, parameter :: nGC_1527 = 1041
  integer, parameter :: nGC_1524 = 1042
  integer, parameter :: nGC_1525 = 1043
  integer, parameter :: nGC_1481 = 1044
  integer, parameter :: nGC_1706 = 1045
  integer, parameter :: nGC_TS_GC_196_Hl = 1046
  integer, parameter :: nGC_1529 = 1047
  integer, parameter :: nGC_1874 = 1048
  integer, parameter :: nGC_2052 = 1049
  integer, parameter :: nGC_1704 = 1050
  integer, parameter :: nGC_2246 = 1051
  integer, parameter :: nGC_2245 = 1052
  integer, parameter :: nGC_2240 = 1053
  integer, parameter :: nGC_1570 = 1054
  integer, parameter :: nGC_1932 = 1055
  integer, parameter :: nGC_1418 = 1056
  integer, parameter :: nGC_1419 = 1057
  integer, parameter :: nGC_1416 = 1058
  integer, parameter :: nGC_1414 = 1059
  integer, parameter :: nGC_1415 = 1060
  integer, parameter :: nGC_1410 = 1061
  integer, parameter :: nGC_1411 = 1062
  integer, parameter :: nGC_TS_GC_101_Hh = 1063
  integer, parameter :: nGC_2158 = 1064
  integer, parameter :: nGC_TS_GC_179_Hl = 1065
  integer, parameter :: nGC_1994 = 1066
  integer, parameter :: nGC_1311 = 1067
  integer, parameter :: nGC_1310 = 1068
  integer, parameter :: nGC_1313 = 1069
  integer, parameter :: nGC_1314 = 1070
  integer, parameter :: nGC_2221 = 1071
  integer, parameter :: nGC_1708 = 1072
  integer, parameter :: nGC_529 = 1073
  integer, parameter :: nGC_1879 = 1074
  integer, parameter :: nGC_2058 = 1075
  integer, parameter :: nGC_2057 = 1076
  integer, parameter :: nGC_2056 = 1077
  integer, parameter :: nGC_1876 = 1078
  integer, parameter :: nGC_2054 = 1079
  integer, parameter :: nGC_2053 = 1080
  integer, parameter :: nGC_1707 = 1081
  integer, parameter :: nGC_2051 = 1082
  integer, parameter :: nGC_525 = 1083
  integer, parameter :: nGC_1736 = 1084
  integer, parameter :: nGC_1503 = 1085
  integer, parameter :: nGC_1480 = 1086
  integer, parameter :: nGC_1974 = 1087
  integer, parameter :: nGC_1504 = 1088
  integer, parameter :: nGC_1301 = 1089
  integer, parameter :: nGC_2029 = 1090
  integer, parameter :: nGC_2022 = 1091
  integer, parameter :: nGC_2020 = 1092
  integer, parameter :: nGC_2021 = 1093
  integer, parameter :: nGC_2026 = 1094
  integer, parameter :: nGC_2024 = 1095
  integer, parameter :: nGC_1676 = 1096
  integer, parameter :: nGC_637 = 1097
  integer, parameter :: nGC_635 = 1098
  integer, parameter :: nGC_1673 = 1099
  integer, parameter :: nGC_1670 = 1100
  integer, parameter :: nGC_1671 = 1101
  integer, parameter :: nGC_1944 = 1102
  integer, parameter :: nGC_2208 = 1103
  integer, parameter :: nGC_1972 = 1104
  integer, parameter :: nGC_1679 = 1105
  integer, parameter :: nGC_1770 = 1106
  integer, parameter :: nGC_1784 = 1107
  integer, parameter :: nGC_2188 = 1108
  integer, parameter :: nGC_523 = 1109
  integer, parameter :: nGC_1978 = 1110
  integer, parameter :: nGC_2116 = 1111
  integer, parameter :: nGC_2117 = 1112
  integer, parameter :: nGC_2110 = 1113
  integer, parameter :: nGC_2111 = 1114
  integer, parameter :: nGC_2201 = 1115
  integer, parameter :: nGC_2118 = 1116
  integer, parameter :: nGC_2119 = 1117
  integer, parameter :: nGC_1452 = 1118
  integer, parameter :: nGC_1453 = 1119
  integer, parameter :: nGC_1450 = 1120
  integer, parameter :: nGC_1907 = 1121
  integer, parameter :: nGC_1456 = 1122
  integer, parameter :: nGC_1457 = 1123
  integer, parameter :: nGC_1902 = 1124
  integer, parameter :: nGC_1903 = 1125
  integer, parameter :: nGC_1458 = 1126
  integer, parameter :: nGC_1459 = 1127
  integer, parameter :: nGC_1908 = 1128
  integer, parameter :: nGC_1909 = 1129
  integer, parameter :: nGC_TS_GC_28_Hl = 1130
  integer, parameter :: nGC_1675 = 1131
  integer, parameter :: nGC_633 = 1132
  integer, parameter :: nGC_2204 = 1133
  integer, parameter :: nGC_521 = 1134
  integer, parameter :: nGC_2237 = 1135
  integer, parameter :: nGC_631 = 1136
  integer, parameter :: nGC_2234 = 1137
  integer, parameter :: nGC_1992 = 1138
  integer, parameter :: nGC_1379 = 1139
  integer, parameter :: nGC_1427 = 1140
  integer, parameter :: nGC_1425 = 1141
  integer, parameter :: nGC_1423 = 1142
  integer, parameter :: nGC_1299 = 1143
  integer, parameter :: nGC_1353 = 1144
  integer, parameter :: nGC_1352 = 1145
  integer, parameter :: nGC_1294 = 1146
  integer, parameter :: nGC_1295 = 1147
  integer, parameter :: nGC_1296 = 1148
  integer, parameter :: nGC_1297 = 1149
  integer, parameter :: nGC_1290 = 1150
  integer, parameter :: nGC_1291 = 1151
  integer, parameter :: nGC_1292 = 1152
  integer, parameter :: nGC_1293 = 1153
  integer, parameter :: nGC_1987 = 1154
  integer, parameter :: nGC_1607 = 1155
  integer, parameter :: nGC_2205 = 1156
  integer, parameter :: nGC_TS_GC_195_Hh = 1157
  integer, parameter :: nGC_1779 = 1158
  integer, parameter :: nGC_1747 = 1159
  integer, parameter :: nGC_1447 = 1160
  integer, parameter :: nGC_565 = 1161
  integer, parameter :: nGC_1629 = 1162
  integer, parameter :: nGC_563 = 1163
  integer, parameter :: nGC_599 = 1164
  integer, parameter :: nGC_593 = 1165
  integer, parameter :: nGC_591 = 1166
  integer, parameter :: nGC_597 = 1167
  integer, parameter :: nGC_595 = 1168
  integer, parameter :: nGC_1625 = 1169
  integer, parameter :: nGC_1627 = 1170
  integer, parameter :: nGC_575 = 1171
  integer, parameter :: nGC_571 = 1172
  integer, parameter :: nGC_1880 = 1173
  integer, parameter :: nGC_573 = 1174
  integer, parameter :: nGC_1882 = 1175
  integer, parameter :: nGC_2126 = 1176
  integer, parameter :: nGC_1739 = 1177
  integer, parameter :: nGC_2124 = 1178
  integer, parameter :: nGC_579 = 1179
  integer, parameter :: nGC_2121 = 1180
  integer, parameter :: nGC_2120 = 1181
  integer, parameter :: nGC_2089 = 1182
  integer, parameter :: nGC_601 = 1183
  integer, parameter :: nGC_1622 = 1184
  integer, parameter :: nGC_2087 = 1185
  integer, parameter :: nGC_2012 = 1186
  integer, parameter :: nGC_2011 = 1187
  integer, parameter :: nGC_2159 = 1188
  integer, parameter :: nGC_2017 = 1189
  integer, parameter :: nGC_2016 = 1190
  integer, parameter :: nGC_2153 = 1191
  integer, parameter :: nGC_2019 = 1192
  integer, parameter :: nGC_2018 = 1193
  integer, parameter :: nGC_1948 = 1194
  integer, parameter :: nGC_1942 = 1195
  integer, parameter :: nGC_1943 = 1196
  integer, parameter :: nGC_TS_GC_110_Hh = 1197
  integer, parameter :: nGC_1945 = 1198
  integer, parameter :: nGC_1946 = 1199
  integer, parameter :: nGC_2093 = 1200
  integer, parameter :: nGC_2238 = 1201
  integer, parameter :: nGC_1649 = 1202
  integer, parameter :: nGC_1648 = 1203
  integer, parameter :: nGC_1647 = 1204
  integer, parameter :: nGC_1646 = 1205
  integer, parameter :: nGC_1645 = 1206
  integer, parameter :: nGC_1644 = 1207
  integer, parameter :: nGC_1643 = 1208
  integer, parameter :: nGC_1642 = 1209
  integer, parameter :: nGC_1641 = 1210
  integer, parameter :: nGC_1640 = 1211
  integer, parameter :: nGC_639 = 1212
  integer, parameter :: nGC_2101 = 1213
  integer, parameter :: nGC_2100 = 1214
  integer, parameter :: nGC_2103 = 1215
  integer, parameter :: nGC_1445 = 1216
  integer, parameter :: nGC_2104 = 1217
  integer, parameter :: nGC_1399 = 1218
  integer, parameter :: nGC_1398 = 1219
  integer, parameter :: nGC_1469 = 1220
  integer, parameter :: nGC_1468 = 1221
  integer, parameter :: nGC_1541 = 1222
  integer, parameter :: nGC_1543 = 1223
  integer, parameter :: nGC_1463 = 1224
  integer, parameter :: nGC_1462 = 1225
  integer, parameter :: nGC_1461 = 1226
  integer, parameter :: nGC_1392 = 1227
  integer, parameter :: nGC_1467 = 1228
  integer, parameter :: nGC_1466 = 1229
  integer, parameter :: nGC_1465 = 1230
  integer, parameter :: nGC_1396 = 1231
  integer, parameter :: nGC_2050 = 1232
  integer, parameter :: nGC_1544 = 1233
  integer, parameter :: nGC_1545 = 1234
  integer, parameter :: nGC_1546 = 1235
  integer, parameter :: nGC_1496 = 1236
  integer, parameter :: nGC_1497 = 1237
  integer, parameter :: nGC_1494 = 1238
  integer, parameter :: nGC_1547 = 1239
  integer, parameter :: nGC_1492 = 1240
  integer, parameter :: nGC_1493 = 1241
  integer, parameter :: nGC_1490 = 1242
  integer, parameter :: nGC_1491 = 1243
  integer, parameter :: nGC_1498 = 1244
  integer, parameter :: nGC_1499 = 1245
  integer, parameter :: nGC_1904 = 1246
  integer, parameter :: nGC_1700 = 1247
  integer, parameter :: nGC_1267 = 1248
  integer, parameter :: nGC_1451 = 1249
  integer, parameter :: nGC_1261 = 1250
  integer, parameter :: nGC_1262 = 1251
  integer, parameter :: nGC_1900 = 1252
  integer, parameter :: nGC_1269 = 1253
  integer, parameter :: nGC_1268 = 1254
  integer, parameter :: nGC_1901 = 1255
  integer, parameter :: nGC_1454 = 1256
  integer, parameter :: nGC_2067 = 1257
  integer, parameter :: nGC_1548 = 1258
  integer, parameter :: nGC_1304 = 1259
  integer, parameter :: nGC_1455 = 1260
  integer, parameter :: nGC_1303 = 1261
  integer, parameter :: nGC_1300 = 1262
  integer, parameter :: nGC_1549 = 1263
  integer, parameter :: nGC_2233 = 1264
  integer, parameter :: nGC_1514 = 1265
  integer, parameter :: nGC_2148 = 1266
  integer, parameter :: nGC_2048 = 1267
  integer, parameter :: nGC_2049 = 1268
  integer, parameter :: nGC_2044 = 1269
  integer, parameter :: nGC_2045 = 1270
  integer, parameter :: nGC_2046 = 1271
  integer, parameter :: nGC_2040 = 1272
  integer, parameter :: nGC_2041 = 1273
  integer, parameter :: nGC_2042 = 1274
  integer, parameter :: nGC_1735 = 1275
  integer, parameter :: nGC_2140 = 1276
  integer, parameter :: nGC_1603 = 1277
  integer, parameter :: nGC_1602 = 1278
  integer, parameter :: nGC_1601 = 1279
  integer, parameter :: nGC_1600 = 1280
  integer, parameter :: nGC_621 = 1281
  integer, parameter :: nGC_1606 = 1282
  integer, parameter :: nGC_1605 = 1283
  integer, parameter :: nGC_1604 = 1284
  integer, parameter :: nGC_1609 = 1285
  integer, parameter :: nGC_1608 = 1286
  integer, parameter :: nGC_629 = 1287
  integer, parameter :: nGC_1959 = 1288
  integer, parameter :: nGC_1958 = 1289
  integer, parameter :: nGC_2160 = 1290
  integer, parameter :: nGC_1637 = 1291
  integer, parameter :: nGC_1953 = 1292
  integer, parameter :: nGC_2161 = 1293
  integer, parameter :: nGC_1495 = 1294
  integer, parameter :: nGC_2167 = 1295
  integer, parameter :: nGC_2166 = 1296
  integer, parameter :: nGC_1952 = 1297
  integer, parameter :: nGC_2169 = 1298
  integer, parameter :: nGC_2168 = 1299
  integer, parameter :: nGC_1528 = 1300
  integer, parameter :: nGC_1931 = 1301
  integer, parameter :: nGC_1930 = 1302
  integer, parameter :: nGC_1933 = 1303
  integer, parameter :: nGC_1482 = 1304
  integer, parameter :: nGC_1935 = 1305
  integer, parameter :: nGC_1934 = 1306
  integer, parameter :: nGC_1937 = 1307
  integer, parameter :: nGC_1936 = 1308
  integer, parameter :: nGC_1939 = 1309
  integer, parameter :: nGC_1938 = 1310
  integer, parameter :: nGC_1484 = 1311
  integer, parameter :: nGC_2264 = 1312
  integer, parameter :: nGC_2265 = 1313
  integer, parameter :: nGC_2267 = 1314
  integer, parameter :: nGC_2260 = 1315
  integer, parameter :: nGC_2262 = 1316
  integer, parameter :: nGC_2263 = 1317
  integer, parameter :: nGC_1500 = 1318
  integer, parameter :: nGC_1502 = 1319
  integer, parameter :: nGC_1486 = 1320
  integer, parameter :: nGC_2268 = 1321
  integer, parameter :: nGC_1505 = 1322
  integer, parameter :: nGC_1506 = 1323
  integer, parameter :: nGC_1507 = 1324
  integer, parameter :: nGC_1693 = 1325
  integer, parameter :: nGC_1694 = 1326
  integer, parameter :: nGC_1592 = 1327
  integer, parameter :: nGC_1591 = 1328
  integer, parameter :: nGC_1590 = 1329
  integer, parameter :: nGC_1595 = 1330
  integer, parameter :: nGC_TS_GC_151_Hl = 1331
  integer, parameter :: nGC_1984 = 1332
  integer, parameter :: nGC_1985 = 1333
  integer, parameter :: nGC_1980 = 1334
  integer, parameter :: nGC_1981 = 1335
  integer, parameter :: nGC_1677 = 1336
  integer, parameter :: nGC_1983 = 1337
  integer, parameter :: nGC_1342 = 1338
  integer, parameter :: nGC_1343 = 1339
  integer, parameter :: nGC_1340 = 1340
  integer, parameter :: nGC_1437 = 1341
  integer, parameter :: nGC_1430 = 1342
  integer, parameter :: nGC_1432 = 1343
  integer, parameter :: nGC_1349 = 1344
  integer, parameter :: nGC_1341 = 1345
  integer, parameter :: nGC_1892 = 1346
  integer, parameter :: nGC_1337 = 1347
  integer, parameter :: nGC_1336 = 1348
  integer, parameter :: nGC_1335 = 1349
  integer, parameter :: nGC_1334 = 1350
  integer, parameter :: nGC_1333 = 1351
  integer, parameter :: nGC_1332 = 1352
  integer, parameter :: nGC_1331 = 1353
  integer, parameter :: nGC_1330 = 1354
  integer, parameter :: nGC_1993 = 1355
  integer, parameter :: nGC_1703 = 1356
  integer, parameter :: nGC_1339 = 1357
  integer, parameter :: nGC_1338 = 1358
  integer, parameter :: nGC_551 = 1359
  integer, parameter :: nGC_1990 = 1360
  integer, parameter :: nGC_TS_GC_100_Hh = 1361
  integer, parameter :: nGC_1720 = 1362
  integer, parameter :: nGC_1893 = 1363
  integer, parameter :: nGC_1890 = 1364
  integer, parameter :: nGC_1723 = 1365
  integer, parameter :: nGC_1724 = 1366
  integer, parameter :: nGC_1897 = 1367
  integer, parameter :: nGC_1894 = 1368
  integer, parameter :: nGC_1895 = 1369
  integer, parameter :: nGC_1728 = 1370
  integer, parameter :: nGC_549 = 1371
  integer, parameter :: nGC_1898 = 1372
  integer, parameter :: nGC_1899 = 1373
  integer, parameter :: nGC_2130 = 1374
  integer, parameter :: nGC_2131 = 1375
  integer, parameter :: nGC_2132 = 1376
  integer, parameter :: nGC_2133 = 1377
  integer, parameter :: nGC_2196 = 1378
  integer, parameter :: nGC_1613 = 1379
  integer, parameter :: nGC_1663 = 1380
  integer, parameter :: nGC_1662 = 1381
  integer, parameter :: nGC_2192 = 1382
  integer, parameter :: nGC_1664 = 1383
  integer, parameter :: nGC_2000 = 1384
  integer, parameter :: nGC_2001 = 1385
  integer, parameter :: nGC_2002 = 1386
  integer, parameter :: nGC_2003 = 1387
  integer, parameter :: nGC_2004 = 1388
  integer, parameter :: nGC_2190 = 1389
  integer, parameter :: nGC_2006 = 1390
  integer, parameter :: nGC_2007 = 1391
  integer, parameter :: nGC_2008 = 1392
  integer, parameter :: nGC_2009 = 1393
  integer, parameter :: nGC_1666 = 1394
  integer, parameter :: nGC_2228 = 1395
  integer, parameter :: nGC_2180 = 1396
  integer, parameter :: nGC_2183 = 1397
  integer, parameter :: nGC_2185 = 1398
  integer, parameter :: nGC_1654 = 1399
  integer, parameter :: nGC_1655 = 1400
  integer, parameter :: nGC_1656 = 1401
  integer, parameter :: nGC_1657 = 1402
  integer, parameter :: nGC_1650 = 1403
  integer, parameter :: nGC_1651 = 1404
  integer, parameter :: nGC_1653 = 1405
  integer, parameter :: nGC_1309 = 1406
  integer, parameter :: nGC_1307 = 1407
  integer, parameter :: nGC_1298 = 1408
  integer, parameter :: nGC_1350 = 1409
  integer, parameter :: nGC_1386 = 1410
  integer, parameter :: nGC_1387 = 1411
  integer, parameter :: nGC_1384 = 1412
  integer, parameter :: nGC_TS_GC_31_Hh = 1413
  integer, parameter :: nGC_1382 = 1414
  integer, parameter :: nGC_1383 = 1415
  integer, parameter :: nGC_1380 = 1416
  integer, parameter :: nGC_1381 = 1417
  integer, parameter :: nGC_1420 = 1418
  integer, parameter :: nGC_1722 = 1419
  integer, parameter :: nGC_1388 = 1420
  integer, parameter :: nGC_1389 = 1421
  integer, parameter :: nGC_1479 = 1422
  integer, parameter :: nGC_1573 = 1423
  integer, parameter :: nGC_1891 = 1424
  integer, parameter :: nGC_1575 = 1425
  integer, parameter :: nGC_1574 = 1426
  integer, parameter :: nGC_1470 = 1427
  integer, parameter :: nGC_1896 = 1428
  integer, parameter :: nGC_1472 = 1429
  integer, parameter :: nGC_1473 = 1430
  integer, parameter :: nGC_1474 = 1431
  integer, parameter :: nGC_1705 = 1432
  integer, parameter :: nGC_1726 = 1433
  integer, parameter :: nGC_1727 = 1434
  integer, parameter :: nGC_1628 = 1435
  integer, parameter :: nGC_1358 = 1436
  integer, parameter :: nGC_1975 = 1437
  integer, parameter :: nGC_2134 = 1438
  integer, parameter :: nGC_1977 = 1439
  integer, parameter :: nGC_1976 = 1440
  integer, parameter :: nGC_1971 = 1441
  integer, parameter :: nGC_1970 = 1442
  integer, parameter :: nGC_1973 = 1443
  integer, parameter :: nGC_2135 = 1444
  integer, parameter :: nGC_1385 = 1445
  integer, parameter :: nGC_1979 = 1446
  integer, parameter :: nGC_2136 = 1447
  integer, parameter :: nGC_1951 = 1448
  integer, parameter :: nGC_1272 = 1449
  integer, parameter :: nGC_1273 = 1450
  integer, parameter :: nGC_1270 = 1451
  integer, parameter :: nGC_1271 = 1452
  integer, parameter :: nGC_1276 = 1453
  integer, parameter :: nGC_1277 = 1454
  integer, parameter :: nGC_1274 = 1455
  integer, parameter :: nGC_1275 = 1456
  integer, parameter :: nGC_541 = 1457
  integer, parameter :: nGC_1278 = 1458
  integer, parameter :: nGC_1279 = 1459
  integer, parameter :: nGC_1950 = 1460
  integer, parameter :: nGC_1378 = 1461
  integer, parameter :: nGC_1373 = 1462
  integer, parameter :: nGC_1372 = 1463
  integer, parameter :: nGC_1371 = 1464
  integer, parameter :: nGC_1370 = 1465
  integer, parameter :: nGC_1377 = 1466
  integer, parameter :: nGC_1376 = 1467
  integer, parameter :: nGC_1375 = 1468
  integer, parameter :: nGC_1374 = 1469
  integer, parameter :: nGC_1554 = 1470
  integer, parameter :: nGC_1553 = 1471
  integer, parameter :: nGC_2079 = 1472
  integer, parameter :: nGC_2078 = 1473
  integer, parameter :: nGC_1551 = 1474
  integer, parameter :: nGC_2070 = 1475
  integer, parameter :: nGC_2073 = 1476
  integer, parameter :: nGC_1550 = 1477
  integer, parameter :: nGC_2074 = 1478
  integer, parameter :: nGC_2077 = 1479
  integer, parameter :: nGC_1914 = 1480
  integer, parameter :: nGC_1443 = 1481
  integer, parameter :: nGC_1442 = 1482
  integer, parameter :: nGC_531 = 1483
  integer, parameter :: nGC_2139 = 1484
  integer, parameter :: nGC_1559 = 1485
  integer, parameter :: nGC_1393 = 1486
  integer, parameter :: nGC_1558 = 1487
  integer, parameter :: nGC_533 = 1488
  integer, parameter :: nGC_1610 = 1489
  integer, parameter :: nGC_1611 = 1490
  integer, parameter :: nGC_1612 = 1491
  integer, parameter :: nGC_2047 = 1492
  integer, parameter :: nGC_1614 = 1493
  integer, parameter :: nGC_1615 = 1494
  integer, parameter :: nGC_1616 = 1495
  integer, parameter :: nGC_1617 = 1496
  integer, parameter :: nGC_1618 = 1497
  integer, parameter :: nGC_535 = 1498
  integer, parameter :: nGC_545 = 1499
  integer, parameter :: nGC_537 = 1500
  integer, parameter :: nGC_1954 = 1501
  integer, parameter :: nGC_TS_GC_136_Hl = 1502
  integer, parameter :: nGC_2170 = 1503
  integer, parameter :: nGC_2138 = 1504
  integer, parameter :: nGC_2173 = 1505
  integer, parameter :: nGC_2175 = 1506
  integer, parameter :: nGC_2176 = 1507
  integer, parameter :: nGC_2177 = 1508
  integer, parameter :: nGC_2178 = 1509
  integer, parameter :: nGC_2179 = 1510
  integer, parameter :: nGC_1621 = 1511
  integer, parameter :: nGC_1535 = 1512
  integer, parameter :: nGC_1534 = 1513
  integer, parameter :: nGC_1537 = 1514
  integer, parameter :: nGC_1536 = 1515
  integer, parameter :: nGC_1531 = 1516
  integer, parameter :: nGC_1530 = 1517
  integer, parameter :: nGC_1928 = 1518
  integer, parameter :: nGC_1927 = 1519
  integer, parameter :: nGC_1925 = 1520
  integer, parameter :: nGC_1539 = 1521
  integer, parameter :: nGC_1538 = 1522
  integer, parameter :: nGC_1920 = 1523
  integer, parameter :: nGC_2251 = 1524
  integer, parameter :: nGC_2250 = 1525
  integer, parameter :: nGC_2252 = 1526
  integer, parameter :: nGC_2259 = 1527
  integer, parameter :: nGC_2258 = 1528
  integer, parameter :: nGC_2091 = 1529
  integer, parameter :: nGC_2090 = 1530
  integer, parameter :: nGC_1478 = 1531
  integer, parameter :: nGC_1580 = 1532
  integer, parameter :: nGC_1581 = 1533
  integer, parameter :: nGC_1582 = 1534
  integer, parameter :: nGC_2065 = 1535
  integer, parameter :: nGC_1584 = 1536
  integer, parameter :: nGC_1585 = 1537
  integer, parameter :: nGC_2061 = 1538
  integer, parameter :: nGC_1588 = 1539
  integer, parameter :: nGC_2144 = 1540
  integer, parameter :: nGC_1406 = 1541
  integer, parameter :: nGC_2141 = 1542
  integer, parameter :: nGC_2069 = 1543
  integer, parameter :: nGC_1885 = 1544
  integer, parameter :: nGC_1488 = 1545
  integer, parameter :: nGC_1887 = 1546
  integer, parameter :: nGC_1886 = 1547
  integer, parameter :: nGC_1883 = 1548
  integer, parameter :: nGC_2127 = 1549
  integer, parameter :: nGC_1483 = 1550
  integer, parameter :: nGC_1485 = 1551
  integer, parameter :: nGC_1956 = 1552
  integer, parameter :: nGC_1487 = 1553
  integer, parameter :: nGC_1923 = 1554
  integer, parameter :: nGC_1401 = 1555
  integer, parameter :: nGC_1400 = 1556
  integer, parameter :: nGC_1405 = 1557
  integer, parameter :: nGC_1407 = 1558
  integer, parameter :: nGC_2249 = 1559
  integer, parameter :: nGC_2080 = 1560
  integer, parameter :: nGC_1265 = 1561
  integer, parameter :: nGC_1426 = 1562
  integer, parameter :: nGC_2015 = 1563
  integer, parameter :: nGC_1346 = 1564
  integer, parameter :: nGC_1263 = 1565
  integer, parameter :: nGC_1940 = 1566
  integer, parameter :: nGC_1557 = 1567
  integer, parameter :: nGC_1556 = 1568
  integer, parameter :: nGC_1555 = 1569
  integer, parameter :: nGC_1552 = 1570
  integer, parameter :: nGC_2197 = 1571
  integer, parameter :: nGC_1417 = 1572
  integer, parameter :: nGC_1412 = 1573
  integer, parameter :: nGC_1413 = 1574
  integer, parameter :: nGC_1324 = 1575
  integer, parameter :: nGC_1326 = 1576
  integer, parameter :: nGC_1327 = 1577
  integer, parameter :: nGC_1320 = 1578
  integer, parameter :: nGC_1321 = 1579
  integer, parameter :: nGC_1323 = 1580
  integer, parameter :: nGC_2113 = 1581
  integer, parameter :: nGC_2106 = 1582
  integer, parameter :: nGC_1540 = 1583
  integer, parameter :: nGC_1542 = 1584
  integer, parameter :: nGC_2222 = 1585
  integer, parameter :: nGC_2223 = 1586
  integer, parameter :: nGC_1394 = 1587
  integer, parameter :: nGC_1397 = 1588
  integer, parameter :: nGC_1312 = 1589
  integer, parameter :: nGC_1315 = 1590
  integer, parameter :: nGC_1317 = 1591
  integer, parameter :: nGC_1316 = 1592
  integer, parameter :: nGC_1319 = 1593
  integer, parameter :: nGC_1318 = 1594
  integer, parameter :: nGC_2038 = 1595
  integer, parameter :: nGC_2032 = 1596
  integer, parameter :: nGC_2215 = 1597
  integer, parameter :: nGC_1878 = 1598
  integer, parameter :: nGC_2187 = 1599
  integer, parameter :: nGC_2059 = 1600
  integer, parameter :: nGC_1877 = 1601
  integer, parameter :: nGC_2218 = 1602
  integer, parameter :: nGC_1571 = 1603
  integer, parameter :: nGC_1264 = 1604
  integer, parameter :: nGC_1572 = 1605
  integer, parameter :: nGC_2198 = 1606
  integer, parameter :: nGC_2199 = 1607
  integer, parameter :: nGC_1579 = 1608
  integer, parameter :: nGC_1578 = 1609
  integer, parameter :: nGC_1475 = 1610
  integer, parameter :: nGC_1476 = 1611
  integer, parameter :: nGC_1477 = 1612
  integer, parameter :: nGC_2064 = 1613
  integer, parameter :: nGC_2028 = 1614
  integer, parameter :: nGC_2062 = 1615
  integer, parameter :: nGC_2063 = 1616
  integer, parameter :: nGC_1917 = 1617
  integer, parameter :: nGC_1916 = 1618
  integer, parameter :: nGC_1915 = 1619
  integer, parameter :: nGC_1446 = 1620
  integer, parameter :: nGC_1441 = 1621
  integer, parameter :: nGC_1449 = 1622
  integer, parameter :: nGC_1919 = 1623
  integer, parameter :: nGC_1918 = 1624
  integer, parameter :: nGC_1568 = 1625
  integer, parameter :: nGC_2023 = 1626
  integer, parameter :: nGC_1566 = 1627
  integer, parameter :: nGC_1567 = 1628
  integer, parameter :: nGC_1565 = 1629
  integer, parameter :: nGC_1561 = 1630
  integer, parameter :: nGC_2114 = 1631
  integer, parameter :: nGC_2115 = 1632
  integer, parameter :: nGC_2112 = 1633
  integer, parameter :: nGC_1967 = 1634
  integer, parameter :: nGC_1965 = 1635
  integer, parameter :: nGC_1884 = 1636
  integer, parameter :: nGC_2200 = 1637
  integer, parameter :: nGC_1513 = 1638
  integer, parameter :: nGC_1512 = 1639
  integer, parameter :: nGC_1511 = 1640
  integer, parameter :: nGC_1510 = 1641
  integer, parameter :: nGC_1517 = 1642
  integer, parameter :: nGC_1282 = 1643
  integer, parameter :: nGC_1281 = 1644
  integer, parameter :: nGC_1280 = 1645
  integer, parameter :: nGC_1368 = 1646
  integer, parameter :: nGC_1365 = 1647
  integer, parameter :: nGC_1516 = 1648
  integer, parameter :: nGC_2162 = 1649
  integer, parameter :: nGC_1515 = 1650
  integer, parameter :: nGC_1888 = 1651
  integer, parameter :: nGC_1509 = 1652
  integer, parameter :: nGC_2266 = 1653
  integer, parameter :: nGC_1356 = 1654
  integer, parameter :: nGC_2261 = 1655
  integer, parameter :: nGC_2043 = 1656
  integer, parameter :: nGC_1593 = 1657
  integer, parameter :: nGC_1597 = 1658
  integer, parameter :: nGC_1596 = 1659
  integer, parameter :: nGC_1594 = 1660
  integer, parameter :: nGC_1599 = 1661
  integer, parameter :: nGC_1598 = 1662
  integer, parameter :: nGC_2255 = 1663
  integer, parameter :: nGC_2257 = 1664
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
