!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-20 16:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl1()
      coupl(nGC_801) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_800) = cima*ee*sa/(2d0*sw**2d0)
      coupl(nGC_802) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_807) = -ca**2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_806) = ca**2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_809) = -ca*cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_808) = ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_939) = -ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_938) = -cima*ee**2d0*sa/sw
      coupl(nGC_935) = cima*ee*sa/(2d0*sw)
      coupl(nGC_934) = -cima*ee*sa/(2d0*sw**2d0)
      coupl(nGC_937) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_936) = ca*cima*ee/(2d0*sw)
      coupl(nGC_931) = cima*ee/cw
      coupl(nGC_930) = -cima*ee*sw/cw**2d0
      coupl(nGC_933) = -gs
      coupl(nGC_932) = cima*ee*sw/cw
      coupl(nGC_1249) = 2d0*cima*ee**2d0/sw
      coupl(nGC_1248) = 4d0*cima*ee**2d0
      coupl(nGC_1243) = -2d0*cima*ee**2d0
      coupl(nGC_1242) = 2d0*cima*ee
      coupl(nGC_1241) = -cima*ee**2d0*(ca - sa)*(ca + sa)/(2d0*sw**2d0)
      coupl(nGC_1240) = -ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_1247) = -4d0*cima*ee**2d0
      coupl(nGC_1246) = 2d0*cima*ee**2d0
      coupl(nGC_1245) = -4d0*cima*ee**2d0/sw**2d0
      coupl(nGC_1244) = 4d0*cima*ee**2d0/sw**3d0
      coupl(nGC_349) = 3d0*cima*(ca**3d0*l3*vev + 3d0*ca**2d0*l2*sa*vevs - 2d0*&
                       ca**2d0*l3*sa*vevs + 3d0*ca*l1*sa**2d0*vev - 2d0*ca*l3* &
                       sa**2d0*vev + l3*sa**3d0*vevs)
      coupl(nGC_345) = 3d0*ca**2d0*cima*sa*vev
      coupl(nGC_343) = -cima*(ca**3d0*vevs + 2d0*ca**2d0*sa*vev - 2d0*ca*sa**  &
                       2d0*vevs - sa**3d0*vev)
      coupl(nGC_341) = -3d0*ca*cima*sa**2d0*vevs
      coupl(nGC_168) = -cima*ee**2d0*vev/sw
      coupl(nGC_169) = -cima*cw*ee**2d0*vev/(4d0*sw**2d0) + cima*ee**2d0*vev/( &
                       4d0*cw)
      coupl(nGC_162) = ca*cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_163) = cima*ee**2d0*sa*vev/(4d0*sw**2d0)
      coupl(nGC_160) = -ca*cima*ee**2d0*vev/(4d0*sw**2d0)
      coupl(nGC_161) = -ca*cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_166) = -cima*ee**2d0*vev/(2d0*sw)
      coupl(nGC_167) = cima*ee**2d0*vev/(2d0*sw)
      coupl(nGC_164) = -cima*ee**2d0*sa*vev/(2d0*sw**2d0)
      coupl(nGC_165) = cima*ee**2d0*sa*vev/(2d0*sw**2d0)
      coupl(nGC_834) = ee/(2d0*sw)
      coupl(nGC_833) = -ee/(2d0*sw**2d0)
      coupl(nGC_908) = ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_909) = ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_900) = ee**2d0/sw
      coupl(nGC_903) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_904) = sqrt(2d0)*cima*sa*yup/2d0
      coupl(nGC_905) = -2d0*gs
      coupl(nGC_906) = ee*sa*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_907) = -ee*sa*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_1258) = -3d0*ca**3d0*cima*sa
      coupl(nGC_1259) = 3d0*ca*cima*sa**3d0
      coupl(nGC_1250) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1251) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_1252) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1253) = sqrt(2d0)*ca*cima*yc/2d0
      coupl(nGC_1254) = -4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1255) = 4d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_1256) = -4d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_1257) = 3d0*cima*(-ca**4d0*l2 + ca**4d0*l3 + 3d0*ca**2d0*l1*sa &
                        **2d0 + 3d0*ca**2d0*l2*sa**2d0 - 6d0*ca**2d0*l3*sa**2d0&
                         - l1*sa**4d0 + l3*sa**4d0)
      coupl(nGC_1174) = -ca*cima*l3
      coupl(nGC_1170) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_221) = -cima*ytau
      coupl(nGC_220) = sqrt(2d0)*cima*sa*yt/2d0
      coupl(nGC_223) = -sqrt(2d0)*ca*cima*ytau/2d0
      coupl(nGC_222) = -sqrt(2d0)*ytau/2d0
      coupl(nGC_225) = cima*yup
      coupl(nGC_224) = sqrt(2d0)*cima*sa*ytau/2d0
      coupl(nGC_227) = -sqrt(2d0)*ca*cima*yup/2d0
      coupl(nGC_226) = sqrt(2d0)*yup/2d0
      coupl(nGC_228) = sqrt(2d0)*cima*sa*yup/2d0
      coupl(nGC_359) = 3d0*cima*sa**3d0*vev
      coupl(nGC_355) = -3d0*ca**3d0*cima*vevs
      coupl(nGC_357) = 3d0*ca*cima*sa*(ca*vev - sa*vevs)
      coupl(nGC_351) = -3d0*ca*cima*(ca**2d0*l2 + l3*sa**2d0)
      coupl(nGC_353) = 3d0*cima*sa*(ca**2d0*l3 + l1*sa**2d0)
      coupl(nGC_179) = -ca*cima*l3*vevs + cima*l1*sa*vev
      coupl(nGC_178) = cima*cw**2d0*ee**2d0*sa*vev/(2d0*sw**2d0) + cima*ee**2d0&
                       *sa*vev + cima*ee**2d0*sa*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_171) = -cima*cw*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0*vev/( &
                       2d0*cw)
      coupl(nGC_170) = cima*cw*ee**2d0*vev/(4d0*sw**2d0) + cima*ee**2d0*vev/(  &
                       4d0*cw)
      coupl(nGC_173) = -ca*cima*cw**2d0*ee**2d0*vev/(4d0*sw**2d0) - ca*cima*ee &
                       **2d0*vev/2d0 - ca*cima*ee**2d0*sw**2d0*vev/(4d0*cw**2d0&
                       )
      coupl(nGC_172) = cima*cw*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0*vev/(  &
                       2d0*cw)
      coupl(nGC_175) = ca*cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + ca*cima*ee**&
                       2d0*vev + ca*cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_174) = -ca*cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) - ca*cima*ee &
                       **2d0*vev - ca*cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_177) = -cima*cw**2d0*ee**2d0*sa*vev/(2d0*sw**2d0) - cima*ee**  &
                       2d0*sa*vev - cima*ee**2d0*sa*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_176) = cima*cw**2d0*ee**2d0*sa*vev/(4d0*sw**2d0) + cima*ee**2d0&
                       *sa*vev/2d0 + cima*ee**2d0*sa*sw**2d0*vev/(4d0*cw**2d0)
      coupl(nGC_1089) = cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1088) = cima*ee**2d0*vev/cw
      coupl(nGC_1087) = cima*ee**2d0/(2d0*cw)
      coupl(nGC_1086) = -cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_1080) = -cima*ee**2d0*sa**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0&
                        *sw**2d0)
      coupl(nGC_829) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_828) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                       cw**2d0*sw**3d0)
      coupl(nGC_823) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_822) = -3d0*cima*sa**4d0
      coupl(nGC_821) = -3d0*ca**4d0*cima
      coupl(nGC_820) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + l1*sa**2d0 &
                        - l3*sa**2d0)
      coupl(nGC_827) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                       **3d0*sw**2d0)
      coupl(nGC_826) = -ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_825) = -cima*ee**2d0*sa/cw
      coupl(nGC_824) = cima*ee**2d0*sa/(2d0*cw**2d0)
      coupl(nGC_917) = -cima*cw*ee**2d0/sw**2d0
      coupl(nGC_912) = -cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_911) = ca*cima*ee**2d0/sw
      coupl(nGC_910) = -ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_918) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_1260) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1067) = -ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1069) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                        sw**2d0)
      coupl(nGC_1068) = ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                        2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_99) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_98) = ee/(2d0*sw)
      coupl(nGC_97) = -ee/(2d0*sw)
      coupl(nGC_96) = cima*ee**2d0*sa**2d0/(2d0*sw**2d0)
      coupl(nGC_95) = -cima*ee**2d0*sa**2d0/(2d0*sw**2d0)
      coupl(nGC_94) = -cima*ee**2d0*sa**2d0/(4d0*sw**2d0)
      coupl(nGC_93) = ca*cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_92) = -ca*cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_91) = ca*cima*ee**2d0*sa/(4d0*sw**2d0)
      coupl(nGC_90) = ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_75) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_74) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_77) = -ca*ee**2d0/(4d0*sw**2d0)
      coupl(nGC_76) = -ca*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_71) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_70) = -cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_73) = cima*ee**2d0/sw**2d0
      coupl(nGC_72) = -cima*ee**2d0/sw**2d0
      coupl(nGC_79) = ca*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_78) = ca*ee**2d0/(4d0*sw**2d0)
      coupl(nGC_218) = sqrt(2d0)*yt/2d0
      coupl(nGC_219) = -sqrt(2d0)*ca*cima*yt/2d0
      coupl(nGC_214) = -sqrt(2d0)*ys/2d0
      coupl(nGC_215) = -sqrt(2d0)*ca*cima*ys/2d0
      coupl(nGC_216) = sqrt(2d0)*cima*sa*ys/2d0
      coupl(nGC_217) = cima*yt
      coupl(nGC_210) = -sqrt(2d0)*ym/2d0
      coupl(nGC_211) = -sqrt(2d0)*ca*cima*ym/2d0
      coupl(nGC_212) = sqrt(2d0)*cima*sa*ym/2d0
      coupl(nGC_213) = -cima*ys
      coupl(nGC_I) = cima
      coupl(nGC_369) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_363) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_144) = -ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - ca**2d0*  &
                       cima*ee**2d0 - ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       )
      coupl(nGC_145) = ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + ca**2d0*   &
                       cima*ee**2d0 + ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       )
      coupl(nGC_146) = ca*cima*cw**2d0*ee**2d0*sa/(4d0*sw**2d0) + ca*cima*ee** &
                       2d0*sa/2d0 + ca*cima*ee**2d0*sa*sw**2d0/(4d0*cw**2d0)
      coupl(nGC_147) = -ca*cima*cw**2d0*ee**2d0*sa/(2d0*sw**2d0) - ca*cima*ee**&
                       2d0*sa - ca*cima*ee**2d0*sa*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_140) = -cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 -    &
                       cima*ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_141) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima&
                       *ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_142) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima&
                       *ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_143) = -ca**2d0*cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - ca**2d0*  &
                       cima*ee**2d0/2d0 - ca**2d0*cima*ee**2d0*sw**2d0/(4d0*cw &
                       **2d0)
      coupl(nGC_148) = ca*cima*cw**2d0*ee**2d0*sa/(2d0*sw**2d0) + ca*cima*ee** &
                       2d0*sa + ca*cima*ee**2d0*sa*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_149) = -cima*cw**2d0*ee**2d0*sa**2d0/(4d0*sw**2d0) - cima*ee** &
                       2d0*sa**2d0/2d0 - cima*ee**2d0*sa**2d0*sw**2d0/(4d0*cw**&
                       2d0)
      coupl(nGC_1092) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                        **2d0)
      coupl(nGC_1090) = -cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1091) = cima*ee**2d0*sa**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                        sw**2d0)
      coupl(nGC_365) = sqrt(2d0)*cima*sa*ytau/2d0
      coupl(nGC_MI) = -cima
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_MC) = -cMC*cima
      coupl(nGC_MB) = -cMB*cima
      coupl(nGC_ME) = -cME*cima
      coupl(nGC_MD) = -cMD*cima
      coupl(nGC_MZ) = cMZ**2d0*cima
      coupl(nGC_MS) = -cMS*cima
      coupl(nGC_MW) = cMW**2d0*cima
      coupl(nGC_MU) = -cMU*cima
      coupl(nGC_960) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_961) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_966) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_967) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_968) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
      coupl(nGC_1074) = ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                        2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1075) = -ca*cima*ee**2d0*sa*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1076) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                        **2d0)
      coupl(nGC_1077) = cima*ee**2d0*(ca - sa)*(ca + sa)*(cw**2d0 + sw**2d0)** &
                        2d0/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_1070) = -cima*ee**2d0*(ca - sa)*(ca + sa)*(cw**2d0 + sw**2d0)**&
                        2d0/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_1071) = cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_1072) = -cima*ee**2d0/(2d0*cw)
      coupl(nGC_1073) = -cima*ee**2d0*vev/cw
      coupl(nGC_1078) = -cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                        **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1079) = cima*ee**2d0*sa**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_88) = -ee**2d0*sa/(4d0*sw**2d0)
      coupl(nGC_89) = ee**2d0*sa/(4d0*sw**2d0)
      coupl(nGC_80) = -ca**2d0*cima*ee**2d0/(4d0*sw**2d0)
      coupl(nGC_81) = -ca**2d0*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_82) = ca**2d0*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_83) = -cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_84) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_85) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_86) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_87) = -ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_66) = -ca**2d0*cima*l3 + cima*ee**2d0*sa**2d0/(4d0*sw**2d0) -  &
                      cima*l1*sa**2d0 + cima*ee**2d0*sa**2d0/(4d0*cw**2d0)
      coupl(nGC_67) = -ca**2d0*cima*l3 - cima*ee**2d0*sa**2d0/(2d0*sw**2d0) -  &
                      cima*l1*sa**2d0
      coupl(nGC_64) = cima*cw*ee**2d0*sa/(2d0*sw**2d0) + cima*ee**2d0*sa/(2d0* &
                      cw)
      coupl(nGC_65) = -ca**2d0*cima*l3 + cima*ee**2d0*sa**2d0/(4d0*sw**2d0) -  &
                      cima*l1*sa**2d0
      coupl(nGC_62) = cima*cw*ee**2d0*sa/(4d0*sw**2d0) - cima*ee**2d0*sa/(4d0* &
                      cw)
      coupl(nGC_63) = -cima*cw*ee**2d0*sa/(2d0*sw**2d0) + cima*ee**2d0*sa/(2d0*&
                      cw)
      coupl(nGC_60) = ca*cima*ee**2d0*sa/(2d0*sw**2d0) + ca*cima*l1*sa - ca*   &
                      cima*l3*sa + ca*cima*ee**2d0*sa/(2d0*cw**2d0)
      coupl(nGC_61) = -cima*cw*ee**2d0*sa/(4d0*sw**2d0) - cima*ee**2d0*sa/(4d0*&
                      cw)
      coupl(nGC_68) = -ca**2d0*cima*l3 - cima*ee**2d0*sa**2d0/(2d0*sw**2d0) -  &
                      cima*l1*sa**2d0 - cima*ee**2d0*sa**2d0/(2d0*cw**2d0)
      coupl(nGC_69) = -cima*ee**2d0/(4d0*sw**2d0)
      coupl(nGC_209) = -cima*ym
      coupl(nGC_208) = sqrt(2d0)*cima*sa*ye/2d0
      coupl(nGC_203) = -sqrt(2d0)*ca*cima*ydo/2d0
      coupl(nGC_202) = -sqrt(2d0)*ydo/2d0
      coupl(nGC_201) = -cima*ydo
      coupl(nGC_200) = sqrt(2d0)*cima*sa*yc/2d0
      coupl(nGC_207) = -sqrt(2d0)*ca*cima*ye/2d0
      coupl(nGC_206) = -sqrt(2d0)*ye/2d0
      coupl(nGC_205) = -cima*ye
      coupl(nGC_204) = sqrt(2d0)*cima*sa*ydo/2d0
      coupl(nGC_377) = sqrt(2d0)*cima*sa*yt/2d0
      coupl(nGC_375) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_371) = sqrt(2d0)*ca*cima*ytau/2d0
      coupl(nGC_153) = ee**2d0*vev/(4d0*cw**2d0)
      coupl(nGC_152) = -ee**2d0*vev/(4d0*cw**2d0)
      coupl(nGC_151) = cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) + cima*ee**  &
                       2d0*sa**2d0 + cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_150) = -cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) - cima*ee** &
                       2d0*sa**2d0 - cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_157) = -ee**2d0*vev/(4d0*sw**2d0)
      coupl(nGC_156) = -ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_155) = cima*ee**2d0*vev/(2d0*cw)
      coupl(nGC_154) = -cima*ee**2d0*vev/(2d0*cw)
      coupl(nGC_159) = ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_158) = ee**2d0*vev/(4d0*sw**2d0)
      coupl(nGC_799) = ee**2d0/cw
      coupl(nGC_798) = -ee**2d0/(2d0*cw**2d0)
      coupl(nGC_795) = sqrt(2d0)*ca*cima*ye/2d0
      coupl(nGC_794) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_797) = -ee**2d0/cw
      coupl(nGC_796) = ee**2d0/(2d0*cw**2d0)
      coupl(nGC_791) = -2d0*cima
      coupl(nGC_793) = 2d0*cima*gs**2d0
      coupl(nGC_792) = -sqrt(2d0)/2d0
      coupl(nGC_973) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_972) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_974) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_979) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1041) = cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw &
                        **2d0)
      coupl(nGC_1040) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw**3d0)
      coupl(nGC_1043) = cima*ee**2d0*sa/cw
      coupl(nGC_1042) = -cima*ee**2d0*sa/(2d0*cw**2d0)
      coupl(nGC_1045) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1044) = ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_1046) = sqrt(2d0)*ca*cima*ym/2d0
      coupl(nGC_53) = -ca*cima*cw*ee**2d0/(4d0*sw**2d0) + ca*cima*ee**2d0/(4d0*&
                      cw)
      coupl(nGC_52) = cw*ee**2d0/(2d0*sw**2d0) + ee**2d0/(2d0*cw)
      coupl(nGC_51) = cw*ee**2d0/(2d0*sw**2d0) - ee**2d0/(2d0*cw)
      coupl(nGC_50) = cw*ee**2d0/(4d0*sw**2d0) + ee**2d0/(4d0*cw)
      coupl(nGC_57) = -ca*cima*ee**2d0*sa/(4d0*sw**2d0) + ca*cima*l1*sa - ca*  &
                      cima*l3*sa
      coupl(nGC_56) = ca*cima*cw*ee**2d0/(2d0*sw**2d0) - ca*cima*ee**2d0/(2d0* &
                      cw)
      coupl(nGC_55) = -ca*cima*cw*ee**2d0/(2d0*sw**2d0) - ca*cima*ee**2d0/(2d0*&
                      cw)
      coupl(nGC_54) = ca*cima*cw*ee**2d0/(4d0*sw**2d0) + ca*cima*ee**2d0/(4d0* &
                      cw)
      coupl(nGC_59) = ca*cima*ee**2d0*sa/(2d0*sw**2d0) + ca*cima*l1*sa - ca*   &
                      cima*l3*sa
      coupl(nGC_58) = -ca*cima*ee**2d0*sa/(4d0*sw**2d0) + ca*cima*l1*sa - ca*  &
                      cima*l3*sa - ca*cima*ee**2d0*sa/(4d0*cw**2d0)
      coupl(nGC_MT) = -cMT*cima
      coupl(nGC_307) = 3d0*cima*(-ca**3d0*l3*vevs + 3d0*ca**2d0*l1*sa*vev - 2d0&
                       *ca**2d0*l3*sa*vev - 3d0*ca*l2*sa**2d0*vevs + 2d0*ca*l3*&
                       sa**2d0*vevs + l3*sa**3d0*vev)
      coupl(nGC_309) = -3d0*cima*sa*(ca**2d0*l3 + l2*sa**2d0)
      coupl(nGC_944) = cima*ee**2d0*sa/sw
      coupl(nGC_945) = ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_940) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_941) = cima*ee/(3d0*cw)
      coupl(nGC_942) = cima*ee*sw/(3d0*cw)
      coupl(nGC_943) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_1058) = ca**2d0*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                        sw**2d0)
      coupl(nGC_1059) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                        sw**2d0)
      coupl(nGC_1056) = ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1057) = -ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1054) = -ca**2d0*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0&
                        *sw**2d0)
      coupl(nGC_1055) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                        **2d0)
      coupl(nGC_1052) = -ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                        **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1053) = ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1051) = -cima*ee
      coupl(nGC_898) = -ee**2d0/sw
      coupl(nGC_899) = -ee**2d0/(2d0*sw**2d0)
      coupl(nGC_890) = 2d0*cima*cw*ee/sw**2d0
      coupl(nGC_891) = -2d0*cima*cw*ee/sw
      coupl(nGC_896) = 2d0*cima*cw*ee/sw
      coupl(nGC_897) = ee**2d0/(2d0*sw**2d0)
      coupl(nGC_894) = 2d0*cima*ee/sw
      coupl(nGC_895) = -2d0*cima*cw*ee/sw**2d0
      coupl(nGC_48) = -cw*ee**2d0/(4d0*sw**2d0) + ee**2d0/(4d0*cw)
      coupl(nGC_49) = cw*ee**2d0/(4d0*sw**2d0) - ee**2d0/(4d0*cw)
      coupl(nGC_44) = -ca**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cima*l1 -  &
                      ca**2d0*cima*ee**2d0/(2d0*cw**2d0) - cima*l3*sa**2d0
      coupl(nGC_45) = -cw*ee**2d0/(2d0*sw**2d0) - ee**2d0/(2d0*cw)
      coupl(nGC_46) = -cw*ee**2d0/(2d0*sw**2d0) + ee**2d0/(2d0*cw)
      coupl(nGC_47) = -cw*ee**2d0/(4d0*sw**2d0) - ee**2d0/(4d0*cw)
      coupl(nGC_40) = cima*ee**2d0/(2d0*sw**2d0) - 2d0*cima*l1 + cima*ee**2d0/(&
                      2d0*cw**2d0)
      coupl(nGC_41) = ca**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cima*l1 -   &
                      cima*l3*sa**2d0
      coupl(nGC_42) = ca**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cima*l1 + ca&
                      **2d0*cima*ee**2d0/(4d0*cw**2d0) - cima*l3*sa**2d0
      coupl(nGC_43) = -ca**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cima*l1 -  &
                      cima*l3*sa**2d0
      coupl(nGC_311) = -3d0*ca*cima*(ca**2d0*l1 + l3*sa**2d0)
      coupl(nGC_313) = -3d0*cima*sa**3d0*vevs
      coupl(nGC_315) = -3d0*ca*cima*sa*(ca*vevs + sa*vev)
      coupl(nGC_317) = -3d0*ca**3d0*cima*vev
      coupl(nGC_539) = -coupl(nGC_206)
      coupl(nGC_625) = coupl(nGC_74)/2d0
      coupl(nGC_627) = -coupl(nGC_74)
      coupl(nGC_623) = -coupl(nGC_214)
      coupl(nGC_1117) = sqrt(2d0)*cima*sa*ye/2d0
      coupl(nGC_1116) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1115) = -cima*ee**2d0*sa*vev/(2d0*sw**2d0)
      coupl(nGC_1114) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_1113) = ca*cima*ee**2d0*vev/sw**2d0
      coupl(nGC_1112) = -ca*cima*ee**2d0*vev/sw**3d0
      coupl(nGC_1111) = cima*ee**2d0*sa*vev/(2d0*sw**2d0)
      coupl(nGC_1110) = -ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_959) = -ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_958) = ca**2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_957) = -ca**2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_956) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_955) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_954) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_1028) = sqrt(2d0)*cima*sa*ym/2d0
      coupl(nGC_1023) = cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_1022) = -ca*cima*ee**2d0/cw
      coupl(nGC_1021) = ca*cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_1027) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1026) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1025) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**2d0*sw**3d0)
      coupl(nGC_1024) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**3d0*sw**2d0)
      coupl(nGC_889) = -2d0*cima*ee/sw
      coupl(nGC_888) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_881) = sqrt(2d0)/2d0
      coupl(nGC_883) = -cima*cw*ee/sw**2d0
      coupl(nGC_882) = cima*ee/sw
      coupl(nGC_885) = -6d0*ca*cima*sa*(ca - sa)*(ca + sa)*(l1 + l2 - 2d0*l3)
      coupl(nGC_884) = cima*cw*ee/sw
      coupl(nGC_886) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_39) = -cima*ee**2d0/(2d0*sw**2d0) - cima*l1
      coupl(nGC_38) = cima*ee**2d0/(4d0*sw**2d0) - cima*l1
      coupl(nGC_31) = -ca**2d0*cima*l1 - cima*l3*sa**2d0
      coupl(nGC_30) = -ca**2d0*cima*l3 - cima*l1*sa**2d0
      coupl(nGC_33) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca*&
                      cima*l2*sa**3d0 + 3d0*ca*cima*l3*sa**3d0
      coupl(nGC_32) = -3d0*ca**3d0*cima*l2*sa + 3d0*ca**3d0*cima*l3*sa + 3d0*ca&
                      *cima*l1*sa**3d0 - 3d0*ca*cima*l3*sa**3d0
      coupl(nGC_35) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 3d0*&
                      cima*l2*sa**4d0
      coupl(nGC_34) = -3d0*ca**4d0*cima*l2 - 6d0*ca**2d0*cima*l3*sa**2d0 - 3d0*&
                      cima*l1*sa**4d0
      coupl(nGC_37) = -cima*ee**2d0/(4d0*sw**2d0) - 2d0*cima*l1 - cima*ee**2d0 &
                      /(4d0*cw**2d0)
      coupl(nGC_36) = -ca**4d0*cima*l3 - 3d0*ca**2d0*cima*l1*sa**2d0 - 3d0*ca**&
                      2d0*cima*l2*sa**2d0 + 4d0*ca**2d0*cima*l3*sa**2d0 - cima*&
                      l3*sa**4d0
      coupl(nGC_329) = -cima*(ca**3d0*vev - 2d0*ca**2d0*sa*vevs - 2d0*ca*sa**  &
                       2d0*vev + sa**3d0*vevs)
      coupl(nGC_325) = -ca*cima*(ca**2d0*l3 + 3d0*l1*sa**2d0 - 2d0*l3*sa**2d0)
      coupl(nGC_327) = -3d0*ca**2d0*cima*sa*vevs
      coupl(nGC_321) = -cima*(3d0*ca**3d0*l2*vevs - 2d0*ca**3d0*l3*vevs + 6d0* &
                       ca**2d0*l1*sa*vev - 7d0*ca**2d0*l3*sa*vev - 6d0*ca*l2*sa&
                       **2d0*vevs + 7d0*ca*l3*sa**2d0*vevs - 3d0*l1*sa**3d0*vev&
                        + 2d0*l3*sa**3d0*vev)
      coupl(nGC_323) = -cima*sa*(3d0*ca**2d0*l2 - 2d0*ca**2d0*l3 + l3*sa**2d0)
      coupl(nGC_1001) = ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_1003) = -cima*ee**2d0/sw**3d0
      coupl(nGC_MTA) = -cMTA*cima
      coupl(nGC_188) = -ca*cima*ee**2d0*vev/(2d0*sw**2d0) - ca*cima*l1*vev - ca&
                       *cima*ee**2d0*vev/(2d0*cw**2d0) - cima*l3*sa*vevs
      coupl(nGC_189) = -ca**3d0*cima*l3*vevs + 3d0*ca**2d0*cima*l1*sa*vev - 2d0&
                       *ca**2d0*cima*l3*sa*vev - 3d0*ca*cima*l2*sa**2d0*vevs + &
                       2d0*ca*cima*l3*sa**2d0*vevs + cima*l3*sa**3d0*vev
      coupl(nGC_180) = -ca*cima*l3*vevs - cima*ee**2d0*sa*vev/(4d0*sw**2d0) +  &
                       cima*l1*sa*vev
      coupl(nGC_181) = -ca*cima*l3*vevs - cima*ee**2d0*sa*vev/(4d0*sw**2d0) +  &
                       cima*l1*sa*vev - cima*ee**2d0*sa*vev/(4d0*cw**2d0)
      coupl(nGC_182) = -ca*cima*l3*vevs + cima*ee**2d0*sa*vev/(2d0*sw**2d0) +  &
                       cima*l1*sa*vev
      coupl(nGC_183) = -ca*cima*l3*vevs + cima*ee**2d0*sa*vev/(2d0*sw**2d0) +  &
                       cima*l1*sa*vev + cima*ee**2d0*sa*vev/(2d0*cw**2d0)
      coupl(nGC_184) = -ca*cima*l1*vev - cima*l3*sa*vevs
      coupl(nGC_185) = ca*cima*ee**2d0*vev/(4d0*sw**2d0) - ca*cima*l1*vev -    &
                       cima*l3*sa*vevs
      coupl(nGC_186) = ca*cima*ee**2d0*vev/(4d0*sw**2d0) - ca*cima*l1*vev + ca*&
                       cima*ee**2d0*vev/(4d0*cw**2d0) - cima*l3*sa*vevs
      coupl(nGC_187) = -ca*cima*ee**2d0*vev/(2d0*sw**2d0) - ca*cima*l1*vev -   &
                       cima*l3*sa*vevs
      coupl(nGC_509) = cima/(2d0*cMW)
      coupl(nGC_1108) = ca*cima*ee**2d0*vev/sw**3d0
      coupl(nGC_1109) = -ca*cima*ee**2d0*vev/sw**2d0
      coupl(nGC_1102) = -sqrt(2d0)/2d0
      coupl(nGC_1103) = -sqrt(2d0)/2d0
      coupl(nGC_1038) = 4d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_1039) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**3d0*sw**2d0)
      coupl(nGC_1032) = -2d0*cima*ee/3d0
      coupl(nGC_1033) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**3d0*sw**2d0)
      coupl(nGC_1034) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**2d0*sw**3d0)
      coupl(nGC_1035) = -cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw&
                        **2d0)
      coupl(nGC_1036) = 4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1037) = -4d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_28) = cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_29) = ca*cima*l1*sa - ca*cima*l3*sa
      coupl(nGC_22) = -cima*l1
      coupl(nGC_23) = -2d0*cima*l1
      coupl(nGC_20) = -cima*gs**2d0
      coupl(nGC_21) = cima*gs**2d0
      coupl(nGC_26) = ee**2d0*sa/(4d0*cw**2d0)
      coupl(nGC_27) = -cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_24) = -3d0*cima*l1
      coupl(nGC_25) = -ee**2d0*sa/(4d0*cw**2d0)
      coupl(nGC_980) = 2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_981) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_982) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_983) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_984) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_MHL) = -cMHL**2d0*cima
      coupl(nGC_MHH) = -cMHH**2d0*cima
      coupl(nGC_339) = cima*sa*(3d0*ca**2d0*l1 - 2d0*ca**2d0*l3 + l3*sa**2d0)
      coupl(nGC_331) = -3d0*ca*cima*sa**2d0*vev
      coupl(nGC_337) = -ca*cima*(ca**2d0*l3 + 3d0*l2*sa**2d0 - 2d0*l3*sa**2d0)
      coupl(nGC_335) = cima*(3d0*ca**3d0*l1*vev - 2d0*ca**3d0*l3*vev - 6d0*ca**&
                       2d0*l2*sa*vevs + 7d0*ca**2d0*l3*sa*vevs - 6d0*ca*l1*sa**&
                       2d0*vev + 7d0*ca*l3*sa**2d0*vev + 3d0*l2*sa**3d0*vevs - &
                       2d0*l3*sa**3d0*vevs)
      coupl(nGC_197) = cima*yc
      coupl(nGC_196) = sqrt(2d0)*cima*sa*yb/2d0
      coupl(nGC_195) = -sqrt(2d0)*ca*cima*yb/2d0
      coupl(nGC_194) = -sqrt(2d0)*yb/2d0
      coupl(nGC_193) = -cima*yb
      coupl(nGC_192) = -ca**3d0*cima*l3*vev - 3d0*ca**2d0*cima*l2*sa*vevs + 2d0&
                       *ca**2d0*cima*l3*sa*vevs - 3d0*ca*cima*l1*sa**2d0*vev + &
                       2d0*ca*cima*l3*sa**2d0*vev - cima*l3*sa**3d0*vevs
      coupl(nGC_191) = -3d0*ca**3d0*cima*l1*vev - 3d0*ca**2d0*cima*l3*sa*vevs  &
                        - 3d0*ca*cima*l3*sa**2d0*vev - 3d0*cima*l2*sa**3d0*vevs
    end subroutine fill_couplings_mdl1
end module fill_couplings1
