!******************************************************************************!
!                                                                              !
!    ctparameter121.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter121.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-20 16:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter121
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter121()
  if (dMS_QED2_scheme .eq. 0) then
    dMS_QED2 = (2d0*Ten308*cMS*coupl(nGC_1)**2d0 + Ten309*cMS*(-coupl(nGC_122  &
               )**2d0 + 4d0*coupl(nGC_122)*coupl(nGC_125) - coupl(nGC_125)**2d0&
               ) + Ten310*(-cMC*coupl(nGC_197)*coupl(nGC_213) - cMS*coupl(     &
               nGC_197)**2d0/2d0 - cMS*coupl(nGC_213)**2d0/2d0 - cMS*coupl(    &
               nGC_99)**2d0) + Ten311*cMS*coupl(nGC_215)**2d0 + Ten312*cMS*    &
               coupl(nGC_216)**2d0 - 2d0*Ten313*cMS*coupl(nGC_1)**2d0 + Ten314*&
               cMS*(-coupl(nGC_122)**2d0 - coupl(nGC_125)**2d0 + coupl(nGC_214 &
               )**2d0) + Ten315*cMS*(-coupl(nGC_197)**2d0 - coupl(nGC_213)**2d0&
                - 2d0*coupl(nGC_99)**2d0)/2d0 - Ten316*cMS*coupl(nGC_215)**2d0 &
                - Ten317*cMS*coupl(nGC_216)**2d0 + pi**2d0*(-cMS*coupl(nGC_1)**&
               2d0/pi**2d0 + cMS*coupl(nGC_122)**2d0/(2d0*pi**2d0) - 2d0*cMS*  &
               coupl(nGC_122)*coupl(nGC_125)/pi**2d0 + cMS*coupl(nGC_125)**2d0 &
               /(2d0*pi**2d0) + cMS*coupl(nGC_99)**2d0/(2d0*pi**2d0)))/(16d0*pi&
               **2d0) + cima*coupl(nGC_216)*dtHl_QED1/cMHL**2d0 + cima*coupl(  &
               nGC_215)*dtHh_QED1/cMHH**2d0
    dMS_QED2 = cone*real(dMS_QED2,kind=dp)
  end if 
end subroutine set_ctparameter121
end module ctparameter121
