!******************************************************************************!
!                                                                              !
!    ctparameter34.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter34.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-20 16:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter34
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter34()
  if (dZdL_QED2_scheme .eq. 1) then
    dZdL_QED2 = (2d0*Ten244*coupl(nGC_1)**2d0 + 2d0*Ten245*coupl(nGC_125)**2d0 &
                 + 2d0*Ten246*coupl(nGC_99)**2d0 + 2d0*Ten249*coupl(nGC_1)**2d0&
                 + 2d0*Ten250*coupl(nGC_125)**2d0 + 2d0*Ten251*coupl(nGC_99)** &
                2d0 - 4d0*Ten256*cMD_reg**2d0*coupl(nGC_1)**2d0 + 4d0*Ten261*  &
                cMD_reg**2d0*coupl(nGC_1)**2d0 + pi**2d0*(-coupl(nGC_1)**2d0/pi&
                **2d0 - coupl(nGC_125)**2d0/pi**2d0 - coupl(nGC_99)**2d0/pi**  &
                2d0))/(16d0*pi**2d0)
    dZdL_QED2 = cone*real(dZdL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter34
end module ctparameter34
