!******************************************************************************!
!                                                                              !
!    ctparameter67.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter67.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-20 16:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter67
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter67()
  dZZ_QED2 = (2d0*Nc*Ten524*(coupl(nGC_123)**2d0 + coupl(nGC_126)**2d0)/3d0 +  &
             2d0*Nc*Ten525*(coupl(nGC_123)**2d0 + coupl(nGC_126)**2d0)/3d0 +   &
             2d0*Nc*Ten526*(coupl(nGC_123)**2d0 + coupl(nGC_126)**2d0)/3d0 +   &
             2d0*Nc*Ten527*(coupl(nGC_122)**2d0 + coupl(nGC_125)**2d0)/3d0 +   &
             2d0*Nc*Ten528*(coupl(nGC_122)**2d0 + coupl(nGC_125)**2d0)/3d0 +   &
             2d0*Nc*Ten529*(coupl(nGC_122)**2d0 + coupl(nGC_125)**2d0)/3d0 +   &
             2d0*Nc*Ten568*(-cMU**2d0*coupl(nGC_123)**2d0 + 6d0*cMU**2d0*coupl(&
             nGC_123)*coupl(nGC_126) - cMU**2d0*coupl(nGC_126)**2d0 + coupl(   &
             nGC_123)**2d0*rMZ**2d0 + coupl(nGC_126)**2d0*rMZ**2d0)/3d0 + 2d0* &
             Nc*Ten569*(-cMC**2d0*coupl(nGC_123)**2d0 + 6d0*cMC**2d0*coupl(    &
             nGC_123)*coupl(nGC_126) - cMC**2d0*coupl(nGC_126)**2d0 + coupl(   &
             nGC_123)**2d0*rMZ**2d0 + coupl(nGC_126)**2d0*rMZ**2d0)/3d0 + 2d0* &
             Nc*Ten570*(-cMT**2d0*coupl(nGC_123)**2d0 + 6d0*cMT**2d0*coupl(    &
             nGC_123)*coupl(nGC_126) - cMT**2d0*coupl(nGC_126)**2d0 + coupl(   &
             nGC_123)**2d0*rMZ**2d0 + coupl(nGC_126)**2d0*rMZ**2d0)/3d0 + 2d0* &
             Nc*Ten571*(-cMD**2d0*coupl(nGC_122)**2d0 + 6d0*cMD**2d0*coupl(    &
             nGC_122)*coupl(nGC_125) - cMD**2d0*coupl(nGC_125)**2d0 + coupl(   &
             nGC_122)**2d0*rMZ**2d0 + coupl(nGC_125)**2d0*rMZ**2d0)/3d0 + 2d0* &
             Nc*Ten572*(-cMS**2d0*coupl(nGC_122)**2d0 + 6d0*cMS**2d0*coupl(    &
             nGC_122)*coupl(nGC_125) - cMS**2d0*coupl(nGC_125)**2d0 + coupl(   &
             nGC_122)**2d0*rMZ**2d0 + coupl(nGC_125)**2d0*rMZ**2d0)/3d0 + 2d0* &
             Nc*Ten573*(-cMB**2d0*coupl(nGC_122)**2d0 + 6d0*cMB**2d0*coupl(    &
             nGC_122)*coupl(nGC_125) - cMB**2d0*coupl(nGC_125)**2d0 + coupl(   &
             nGC_122)**2d0*rMZ**2d0 + coupl(nGC_125)**2d0*rMZ**2d0)/3d0 + Ten0*&
             coupl(nGC_136)**2d0*(-cMHL**2d0 + cMZ**2d0)/(3d0*rMZ**4d0) + Ten1 &
             *(cMHH**2d0*coupl(nGC_130)**2d0 + cMHL**2d0*coupl(nGC_136)**2d0 - &
             cMZ**2d0*coupl(nGC_130)**2d0 - cMZ**2d0*coupl(nGC_136)**2d0)/(3d0*&
             rMZ**4d0) + Ten2*coupl(nGC_130)**2d0*(-cMHH**2d0 + cMZ**2d0)/(3d0*&
             rMZ**4d0) + Ten518*coupl(nGC_136)**2d0*(cMHL**4d0 - 2d0*cMHL**2d0*&
             cMZ**2d0 + cMZ**4d0 - rMZ**4d0)/(3d0*rMZ**4d0) + Ten519*coupl(    &
             nGC_130)**2d0*(cMHH**4d0 - 2d0*cMHH**2d0*cMZ**2d0 + cMZ**4d0 - rMZ&
             **4d0)/(3d0*rMZ**4d0) + Ten520*(-20d0*coupl(nGC_103)**2d0/3d0 -   &
             coupl(nGC_104)**2d0/12d0 - coupl(nGC_105)**2d0/12d0 + coupl(      &
             nGC_128)**2d0/3d0) + Ten521*(2d0*coupl(nGC_124)**2d0/3d0 + 2d0*   &
             coupl(nGC_128)**2d0/3d0) + Ten522*(2d0*coupl(nGC_124)**2d0/3d0 +  &
             2d0*coupl(nGC_128)**2d0/3d0) + Ten523*(2d0*coupl(nGC_124)**2d0/3d0&
              + 2d0*coupl(nGC_128)**2d0/3d0) + 2d0*Ten563*coupl(nGC_129)**2d0  &
              + Ten564*(-16d0*cMW**2d0*coupl(nGC_103)**2d0/3d0 + cMW**2d0*coupl&
             (nGC_104)**2d0/3d0 + cMW**2d0*coupl(nGC_105)**2d0/3d0 - 4d0*cMW** &
             2d0*coupl(nGC_128)**2d0/3d0 - 20d0*coupl(nGC_103)**2d0*rMZ**2d0/  &
             3d0 - coupl(nGC_104)**2d0*rMZ**2d0/12d0 - coupl(nGC_105)**2d0*rMZ &
             **2d0/12d0 + coupl(nGC_128)**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_171 &
             )**2d0) + Ten565*(-2d0*cME**2d0*coupl(nGC_124)**2d0/3d0 + 4d0*cME &
             **2d0*coupl(nGC_124)*coupl(nGC_128) - 2d0*cME**2d0*coupl(nGC_128  &
             )**2d0/3d0 + 2d0*coupl(nGC_124)**2d0*rMZ**2d0/3d0 + 2d0*coupl(    &
             nGC_128)**2d0*rMZ**2d0/3d0) + Ten566*(-2d0*cMM**2d0*coupl(nGC_124 &
             )**2d0/3d0 + 4d0*cMM**2d0*coupl(nGC_124)*coupl(nGC_128) - 2d0*cMM &
             **2d0*coupl(nGC_128)**2d0/3d0 + 2d0*coupl(nGC_124)**2d0*rMZ**2d0/ &
             3d0 + 2d0*coupl(nGC_128)**2d0*rMZ**2d0/3d0) + Ten567*(-2d0*cMTA** &
             2d0*coupl(nGC_124)**2d0/3d0 + 4d0*cMTA**2d0*coupl(nGC_124)*coupl( &
             nGC_128) - 2d0*cMTA**2d0*coupl(nGC_128)**2d0/3d0 + 2d0*coupl(     &
             nGC_124)**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_128)**2d0*rMZ**2d0/3d0 &
             ) + 2d0*Ten574*coupl(nGC_129)**2d0*rMZ**2d0 + Ten575*(-cMHL**4d0* &
             coupl(nGC_136)**2d0 + 2d0*cMHL**2d0*cMZ**2d0*coupl(nGC_136)**2d0  &
              + 2d0*cMHL**2d0*coupl(nGC_136)**2d0*rMZ**2d0 - cMZ**4d0*coupl(   &
             nGC_136)**2d0 + 2d0*cMZ**2d0*coupl(nGC_136)**2d0*rMZ**2d0 - coupl(&
             nGC_136)**2d0*rMZ**4d0 + 3d0*coupl(nGC_177)**2d0*rMZ**2d0)/(3d0*  &
             rMZ**2d0) + Ten576*(-cMHH**4d0*coupl(nGC_130)**2d0 + 2d0*cMHH**2d0&
             *cMZ**2d0*coupl(nGC_130)**2d0 + 2d0*cMHH**2d0*coupl(nGC_130)**2d0*&
             rMZ**2d0 - cMZ**4d0*coupl(nGC_130)**2d0 + 2d0*cMZ**2d0*coupl(     &
             nGC_130)**2d0*rMZ**2d0 - coupl(nGC_130)**2d0*rMZ**4d0 + 3d0*coupl(&
             nGC_175)**2d0*rMZ**2d0)/(3d0*rMZ**2d0) + pi**2d0*(-2d0*Nc*coupl(  &
             nGC_122)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_123)**2d0/(3d0*pi**&
             2d0) - 2d0*Nc*coupl(nGC_125)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(   &
             nGC_126)**2d0/(3d0*pi**2d0) + 2d0*coupl(nGC_103)**2d0/(9d0*pi**2d0&
             ) - coupl(nGC_104)**2d0/(18d0*pi**2d0) - coupl(nGC_105)**2d0/(18d0&
             *pi**2d0) - 2d0*coupl(nGC_124)**2d0/(3d0*pi**2d0) - 4d0*coupl(    &
             nGC_128)**2d0/(9d0*pi**2d0) - 2d0*coupl(nGC_129)**2d0/(3d0*pi**2d0&
             ) - 2d0*coupl(nGC_130)**2d0/(9d0*pi**2d0) - 2d0*coupl(nGC_136)**  &
             2d0/(9d0*pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZZ_QED2 = cone*real(dZZ_QED2,kind=dp)
    end if 
end subroutine set_ctparameter67
end module ctparameter67
