!******************************************************************************!
!                                                                              !
!    ctparameter84.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter84.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-20 16:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter84
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter84()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dtHh_MS_QED1 = cima*DeltaUV*(8d0*Nc*cMB**3d0*coupl(nGC_195) + 8d0*Nc*cMC**3d0&
                 *coupl(nGC_199) + 8d0*Nc*cMD**3d0*coupl(nGC_203) + 8d0*Nc*cMS &
                 **3d0*coupl(nGC_215) + 8d0*Nc*cMT**3d0*coupl(nGC_219) + 8d0*Nc&
                 *cMU**3d0*coupl(nGC_227) + 8d0*cME**3d0*coupl(nGC_207) - cMHH &
                 **2d0*coupl(nGC_191) - cMHL**2d0*coupl(nGC_192) + 8d0*cMM**3d0&
                 *coupl(nGC_211) + 8d0*cMTA**3d0*coupl(nGC_223) + 4d0*cMW**2d0*&
                 coupl(nGC_161) + 8d0*cMW**2d0*coupl(nGC_162) - 2d0*cMW**2d0*  &
                 coupl(nGC_187) + 2d0*cMZ**2d0*coupl(nGC_174) + 4d0*cMZ**2d0*  &
                 coupl(nGC_175) - cMZ**2d0*coupl(nGC_188))/(32d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dtHh_MS_QED1 = cone*real(dtHh_MS_QED1,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter84
end module ctparameter84
